GNU bug report logs - #36477
Add Guix System cross-compilation support

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mathieu Othacehe <m.othacehe@HIDDEN>; dated Tue, 2 Jul 2019 15:19:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 06:00:23 2019
Received: from localhost ([127.0.0.1]:57888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRa-0004w7-Nz
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:23 -0400
Received: from mail-wm1-f67.google.com ([209.85.128.67]:51974)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQRA-0004pl-Nw
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:57 -0400
Received: by mail-wm1-f67.google.com with SMTP id 207so15097225wma.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=lq9QjQ/9TLT9FgCyr+wQuaOoWg8YHp7Vn2a0TGg4oxY=;
 b=hAFNxhj/2gtMOEBANgchPZwPvvRCNOzyaFs2nhLpdObH+kfuTAU0xE6+CHLVX2gTvj
 l98iiemS6gw1DwOTz3yjYz7UH0Lj2Xwz9y5BMON/dkf9MYu4dQ+9QTXJfOH24N9poFK/
 P+u6v99d6EqkeFdLv7JgHqE0oWJeMfUdZthFshQbP6mG3QolUfGABXjpUe3vrLJCfeUy
 cJNUd+sIvWNvr2AOE/dvnpgNiZYHyRzHLETupYOsmk88fGBpEHHo5+fA6c9ik1A27CK/
 xnf3NVH46xMKtwcHKRwnRnc5WNK9XADEFfpFfeuc3B5VMIpDXe/a3A14lE6aH7PMMops
 tZEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=lq9QjQ/9TLT9FgCyr+wQuaOoWg8YHp7Vn2a0TGg4oxY=;
 b=HH6W0Am8s58lFaN3cX6QYqRLbGoAsMuTP6e1z+D2BDPZOsgsCJrGsAHTbfVeCW30CT
 wY4/N2TekZkP/+FwNWNKUuv1oer5D719ir6IAWswkNG/hAoXcrLRW0QyKOl8f8FaSmiR
 JGS82qYk+r2VDcItXi/p8eG4mrBASdZbiHiUBDY+8mD5cR+PRbrJMJFZX4URSRO6Xjui
 d9JuOcdO6UkgZZUNxWDTQ/rFBvBn57T9PXL1D6B7guQlVL8peJp38eWwamdZzODX84pV
 QcTM+pTWz+BC43V//XIEQiDl/JG5Qpbu5PJMvxwosrljx5bXG+TrDUHZ8n4Ojqska262
 2TiA==
X-Gm-Message-State: APjAAAU1z3AsDjS/PZWW+2LuQcx1Cx+3tMqshXVSHJCHsQTGQqYT4IxS
 MrOtcjsJsNR4P3Q+2ZFTtEn1yVYF
X-Google-Smtp-Source: APXvYqzx/4LFUjIqUf3t/g9EDl20HkLdbBp1KdLJiFebk2b+QDl9qa91QZNecQXMCe5JtKiZ7NRMOg==
X-Received: by 2002:a1c:2314:: with SMTP id j20mr15969705wmj.152.1562579990589; 
 Mon, 08 Jul 2019 02:59:50 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.49
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:49 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 31/31] gnu: glibc-utf8-locales: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:13 +0200
Message-Id: <20190708095913.3460-32-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/base.scm (glibc-utf8-locales)[inputs]: Move
 to ... [native-inputs]: ... here,
 in order to fix cross-compilation. * gnu/packages/commencement.scm
 (glibc-utf8-locales-final)[inputs]: Move [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.67 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.67 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/base.scm (glibc-utf8-locales)[inputs]: Move to ...
[native-inputs]: ... here, in order to fix cross-compilation.
* gnu/packages/commencement.scm (glibc-utf8-locales-final)[inputs]: Move to ...
[native-inputs]: ... here, in order to fix cross-compilation.
---
 gnu/packages/base.scm         |  4 ++--
 gnu/packages/commencement.scm | 11 ++++++-----
 2 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index 15f35009a9..216a2f1591 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -1143,8 +1143,8 @@ to the @code{share/locale} sub-directory of this package.")
                                ;; tests---e.g., in Guile's i18n tests.
                                '("de_DE" "el_GR" "en_US" "fr_FR" "tr_TR"))
                      #t))))
-    (inputs `(("glibc" ,glibc)
-              ("gzip" ,gzip)))
+    (native-inputs `(("glibc" ,glibc)
+                     ("gzip" ,gzip)))
     (synopsis "Small sample of UTF-8 locales")
     (description
      "This package provides a small sample of UTF-8 locales mostly useful in
diff --git a/gnu/packages/commencement.scm b/gnu/packages/commencement.scm
index a8ec677cee..c0345aa967 100644
--- a/gnu/packages/commencement.scm
+++ b/gnu/packages/commencement.scm
@@ -881,11 +881,12 @@ exec ~a/bin/~a-~a -B~a/lib -Wl,-dynamic-linker -Wl,~a/~a \"$@\"~%"
   ;; function.)
   (package
     (inherit glibc-utf8-locales)
-    (inputs `(("glibc" ,glibc-final)
-              ("gzip"
-               ,(package-with-explicit-inputs gzip %boot4-inputs
-                                              (current-source-location)
-                                              #:guile %bootstrap-guile))))))
+    (native-inputs
+     `(("glibc" ,glibc-final)
+       ("gzip"
+        ,(package-with-explicit-inputs gzip %boot4-inputs
+                                       (current-source-location)
+                                       #:guile %bootstrap-guile))))))
 
 (define-public ld-wrapper
   ;; The final 'ld' wrapper, which uses the final Guile and Binutils.
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 06:00:22 2019
Received: from localhost ([127.0.0.1]:57886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRX-0004vs-V7
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:20 -0400
Received: from mail-wr1-f65.google.com ([209.85.221.65]:46061)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR9-0004pY-QA
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:56 -0400
Received: by mail-wr1-f65.google.com with SMTP id f9so16306098wre.12
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=1ETTHX8XPRPYspa+IFrFluxA7fGLdzlme6+Tllt/8ho=;
 b=OSmWZZR4fk7TdwHYsdz7yYblCnjlmn7cIunNOJMZvZ1v9hV5CScFcfvBmplRZkZgfl
 /7qPvCVn2Y8ned9HZwdFJX7+qNyj1PRa2p7ACxFYAy6I2MXh+h7MqEjztmFCGOE7+oaF
 pe+ZEeLu5hSkp+rCpcrDJI5OgEccp+cZJnzDNkAHsQ2HGFcHQo/4viwk59MGFAp19q0e
 s60ssotNLDP16lUzbSclLLTip9LDKMBmufT46DM0X5ezosldlweWEg5wfuFNazXYf4Qr
 RwSboBwKUZkUgka0J4sEg5wCJxAwnF+5yc4UPAx11oRVk7qAEjQbDXYLpytmxFxrK139
 yasw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=1ETTHX8XPRPYspa+IFrFluxA7fGLdzlme6+Tllt/8ho=;
 b=GGSN/T7wZo8Ac04fERfopF/rhJXwpEkdatWhPpemiBjC12S7P6k+Kx3Spm4WtPrWR4
 NZ8EyAKiar/JZbe+twKfsvhCslF/vceIz+Zzo9Ujsw4TwLUKqfswvr+RphyX4pf69eq8
 8g985+MLcQO+1QGM6ynFIE1gGvp98x8LzoISSJzJWOaaGZPID695wkXgSc+1AR4N6ftj
 nZptXk91OBv5Js2lp5quN37TIGxvaYxTgYuag4rYLqU3pSBTjBE/SdEr/XnFFmJluR9n
 c7UWAYKc7pLNQ5cdehiuKHIXhwV/A0maXbgelkHecozfsuKx/O9IaDBqHCRrAYnkbeAd
 AIMA==
X-Gm-Message-State: APjAAAWtfrDP6lR//+g6lmSqnvszAmUmwF9H3iW2+dCf7mGi/TdNmO49
 PDzxmr+Ai/xZckzqeoonBuStWcjI
X-Google-Smtp-Source: APXvYqy9JCgI8O9iBUnGTGD59WZ5YmTpzd1AtwIAIpL1LeU5tpf2GOQ+QfPAEBeF2QvpbfmSF/94Mg==
X-Received: by 2002:adf:f38a:: with SMTP id m10mr2724928wro.268.1562579989722; 
 Mon, 08 Jul 2019 02:59:49 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.48
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:49 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 30/31] gnu: icu4c: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:12 +0200
Message-Id: <20190708095913.3460-31-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/icu4c.scm (icu4c-build-root): New variable.
 (icu4c)[native-inputs]: Add it. [arguments]: Pass it as a configure-flag.
 --- gnu/packages/icu4c.scm | 33 ++++++++++++++++++++++++++++++++- 1 [...]
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: elephly.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.65 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/icu4c.scm (icu4c-build-root): New variable.
(icu4c)[native-inputs]: Add it.
[arguments]: Pass it as a configure-flag.
---
 gnu/packages/icu4c.scm | 33 ++++++++++++++++++++++++++++++++-
 1 file changed, 32 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/icu4c.scm b/gnu/packages/icu4c.scm
index 6e93d6aed9..4d90b31c1c 100644
--- a/gnu/packages/icu4c.scm
+++ b/gnu/packages/icu4c.scm
@@ -4,6 +4,7 @@
 ;;; Copyright © 2016, 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2017 Clément Lassieur <clement@HIDDEN>
 ;;; Copyright © 2017 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -25,6 +26,7 @@
   #:use-module (gnu packages perl)
   #:use-module (guix licenses)
   #:use-module (guix packages)
+  #:use-module (guix utils)
   #:use-module (guix download)
   #:use-module (guix build-system ant)
   #:use-module (guix build-system gnu))
@@ -44,11 +46,21 @@
             (sha256
              (base32 "17fbk0lm2clsxbmjzvyp245ayx0n4chji3ky1f3fbz2ljjv91i05"))))
    (build-system gnu-build-system)
+   ;; When cross-compiling, this package needs a source directory of a
+   ;; native-build of itself.
+   (native-inputs (if (%current-target-system)
+                      `(("icu4c-build-root" ,icu4c-build-root))
+                      '()))
    (inputs
     `(("perl" ,perl)))
    (arguments
     `(#:configure-flags
-      '("--enable-rpath"
+      (list
+       "--enable-rpath"
+        ,@(if (%current-target-system)
+              '((string-append "--with-cross-build="
+                                (assoc-ref %build-inputs "icu4c-build-root")))
+              '())
         ,@(if (let ((s (or (%current-target-system)
                            (%current-system))))
                 (or (string-prefix? "arm" s)
@@ -81,6 +93,25 @@ C/C++ part.")
    (license x11)
    (home-page "http://site.icu-project.org/")))
 
+(define-public icu4c-build-root
+  (package
+    (inherit icu4c)
+    (name "icu4c-build-root")
+    (arguments
+     (substitute-keyword-arguments (package-arguments icu4c)
+       ((#:tests? _ '())
+        #f)
+       ((#:out-of-source? _ '())
+        #t)
+       ((#:phases phases)
+        `(modify-phases ,phases
+           (replace 'install
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let ((out (assoc-ref outputs "out")))
+                 (copy-recursively "../build" out)
+                 #t)))))))
+    (native-inputs '())))
+
 (define-public java-icu4j
   (package
     (name "java-icu4j")
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 06:00:20 2019
Received: from localhost ([127.0.0.1]:57877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRT-0004ut-Qu
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:19 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:56065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR8-0004p8-Nq
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:55 -0400
Received: by mail-wm1-f68.google.com with SMTP id a15so15084080wmj.5
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XqOaKGJiOFELjVg+Q4nYNvN0wI/90OnOhrDb2dokUuk=;
 b=Vge0xCQ2h0WEAsoiu4U04SBrgAlcuroC+C3XIpP3fALzSM7t067ekSeog8oqcyXtR8
 SVykJdJnvUkvh2bQIrsiMgB82Et+4G+ID0EHx13LOrXaVMwwNXGoYPJjsLS9bMvmSk8D
 DsHXkdRgsPtP/7PuEbeiXIKSuHEygZJjgq4U250vJBW1nxZ2H3HL3xlWHMXCe6NUr7OD
 zrCuyPubfVdSw/bQYr8EkdzKY26GQa4Jcs7E0G21IniirrBGYJUzVGRFH+XJQ145Z13T
 iAMi5Of991FOQ5zZLOr+Mpztmenq/R5MEiQzERg70+uZL7U0w/xocjttGlRTW4Q+Sa/H
 l2pA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XqOaKGJiOFELjVg+Q4nYNvN0wI/90OnOhrDb2dokUuk=;
 b=X4slfHwHxszfpqqs8mPkEy4VqoAV92X6+sX4QsvjiG/jSkZIZsQVZQEv/cGoPySMnJ
 N9qPW/msC4CWBM63amc2MIi7VD2a9ZeW6fTmWGugIeuEfK/Jw572x8IAyB09JkIFv8J5
 Jb6FdUzM0XffGnxm+ZOx2MFXXntg22MFUBOzwTTG8Wk8YTm++kEohqkxP1TfTVoRVPsj
 GWgYJIvAO3D00mXxq00DGvIHL9CKnmDvEyjVvshh7PjjjtO7MhWcHtbudhGDxmql42Jv
 lKDDleJDSu70LXrtFG5KGG4fq5Ktj6r20l/n+mMG3uGnZMheLrNEs19RtrpnpMwfiNE0
 Xwxg==
X-Gm-Message-State: APjAAAWy4/cO8O2cr3cLSkigyS/EjhLHcKQs3Fz7dqPsBvg9tty2MkJ5
 81T/ouQlVaYgyUCuNG9dIW6S8lqG
X-Google-Smtp-Source: APXvYqyyx3wj3pcrx/6kqwBjRlzXhsNM/CBLYeANzGLUSZvTk7sdqRi518xUCgt7TN1QHopN4M+rnQ==
X-Received: by 2002:a1c:2015:: with SMTP id g21mr15643542wmg.33.1562579988860; 
 Mon, 08 Jul 2019 02:59:48 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.48
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:48 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 29/31] gnu: alsa-utils: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:11 +0200
Message-Id: <20190708095913.3460-30-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/linux.scm (alsa-utils)[inputs]: Move gettext
 from here ... [native-inputs]: ... to here, in order to fix cross-compilation.
 --- gnu/packages/linux.scm | 7 ++++--- 1 file changed, 4 inse [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: mykolab.com]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.68 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.68 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/linux.scm (alsa-utils)[inputs]: Move gettext from here ...
[native-inputs]: ... to here, in order to fix cross-compilation.
---
 gnu/packages/linux.scm | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index f89ab6b281..8fb2abaa3c 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -22,7 +22,7 @@
 ;;; Copyright © 2017, 2018 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2017 José Miguel Sánchez García <jmi2k@HIDDEN>
 ;;; Copyright © 2017 Gábor Boskovits <boskovits@HIDDEN>
-;;; Copyright © 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright © 2017, 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2017 Clément Lassieur <clement@HIDDEN>
 ;;; Copyright © 2017, 2018, 2019 Rutger Helling <rhelling@HIDDEN>
 ;;; Copyright © 2017 nee <nee-git@HIDDEN>
@@ -1234,12 +1234,13 @@ MIDI functionality to the Linux-based operating system.")
                (("\\$\\(MKDIR_P\\) .*ASOUND_STATE_DIR.*")
                 "true\n"))
              #t)))))
+    (native-inputs
+     `(("gettext" ,gettext-minimal)))
     (inputs
      `(("libsamplerate" ,libsamplerate)
        ("ncurses" ,ncurses)
        ("alsa-lib" ,alsa-lib)
-       ("xmlto" ,xmlto)
-       ("gettext" ,gettext-minimal)))
+       ("xmlto" ,xmlto)))
     (home-page "http://www.alsa-project.org/")
     (synopsis "Utilities for the Advanced Linux Sound Architecture (ALSA)")
     (description
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 06:00:15 2019
Received: from localhost ([127.0.0.1]:57874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRT-0004uh-BC
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:15 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:52048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR7-0004oW-4h
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:53 -0400
Received: by mail-wm1-f50.google.com with SMTP id 207so15097057wma.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=cC5cFiaY5HpReowkmaQ15Ngi2+HfXXKkqWUHqVLzw58=;
 b=PDSOxJdFmk1MARO/LGxKba+yP6ZZAWg9TktpgzIwBa/ZSm747UasMDHiGUodAUTCYZ
 EJWYrJdnOw9jDOp2yWw6Dty44LCSAZDYjCyGucEMrMJ022uYzDpe4q2X+eb6gWjJgOkR
 JUVoBBIvQU3pAQp11AWWGQn4cstrOC8XEjC66jNtxYstfF3mK8vtNszTXMETXktIMsUT
 roZtObwXatRcVxn8VCLLGikKzwRrF62UjMg9SLEcNdBrpeWP9WQq9zlu1WuiAhIPB4q+
 70ykSIfThLEh+DUWUsnne0dyRS4EtDTg18xocd/q6SnMwblWkJmKfSXluvbZzlUA+hJH
 a8aQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=cC5cFiaY5HpReowkmaQ15Ngi2+HfXXKkqWUHqVLzw58=;
 b=uDWrt4zK3fc6c2+vnVbY1wwvCjh/JeqB1eYlcTRwOR9EAvqEFyHPp75MZ+wuqnFtKm
 qZlpYPF1szhpVPVTx95tK3GgBUUXf8R15NNSVILhgPgHvX/5HiQKSLQY6tETODMB5t1/
 moj5ooo6Y50Y9msvd0TWiJU7ugrYeovKxLck9jlWZTcmz8ZNf/EkLpDKxpTUG/DmwVi1
 wJSceszTDv5urJmbW6lrljA7TR2S8p+KOWl00PQAt+yfWvRXH6Hxtx2YcrhF9/hN1vwP
 J+URYAFok7t7SsWF+J8QdlT/vI4dCV3QBQTC/jb/DARxJGSjYfNEYN6ymTb4DdTjssjZ
 Rm4Q==
X-Gm-Message-State: APjAAAWAu1bzZHp7vJohUBBqgQ9Z6AUOqU9x4ur37tSHqQJSdDoR5F5K
 /hJviyZ5yNuzd9tUeD33jSbgK/lF
X-Google-Smtp-Source: APXvYqxIFf4kEzflNoTkKO9QuMX046YOK+N9tWle5btnOAh81IPA1QNV+EDVbfDBTAwUPLQWQaoUsg==
X-Received: by 2002:a1c:7e85:: with SMTP id z127mr16392279wmc.95.1562579987132; 
 Mon, 08 Jul 2019 02:59:47 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.46
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:46 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 27/31] gnu: pkg-config: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:09 +0200
Message-Id: <20190708095913.3460-28-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/pkg-config.scm (%pkg-config)[arguments]: Add
 configure-flags to disable tests that fail when cross-compiling. ---
 gnu/packages/pkg-config.scm
 | 11 ++++++++++- 1 file changed, 10 inserti [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.50 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/pkg-config.scm (%pkg-config)[arguments]: Add configure-flags
to disable tests that fail when cross-compiling.
---
 gnu/packages/pkg-config.scm | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/pkg-config.scm b/gnu/packages/pkg-config.scm
index 6fc19a975d..0425854a75 100644
--- a/gnu/packages/pkg-config.scm
+++ b/gnu/packages/pkg-config.scm
@@ -1,5 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2012, 2013, 2014, 2016 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -48,7 +49,15 @@
              (base32
               "14fmwzki1rlz8bs2p810lk6jqdxsk966d8drgsjmi54cd00rrikg"))))
    (build-system gnu-build-system)
-   (arguments `(#:configure-flags '("--with-internal-glib")))
+   (arguments
+    `(#:configure-flags
+      '("--with-internal-glib"
+        ,@(if (%current-target-system)
+              '("glib_cv_stack_grows=no"
+                "glib_cv_uscore=no"
+                "ac_cv_func_posix_getpwuid_r=yes"
+                "ac_cv_func_posix_getgrgid_r=yes")
+              '()))))
    (native-search-paths
     (list (search-path-specification
            (variable "PKG_CONFIG_PATH")
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 06:00:15 2019
Received: from localhost ([127.0.0.1]:57872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRS-0004uT-QP
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:15 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:42563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR7-0004on-Uw
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:54 -0400
Received: by mail-wr1-f68.google.com with SMTP id a10so15231961wrp.9
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=xAEOrjBcXIUfi9YWA8NIv3uRcEOffHpNVarB+ktFxN8=;
 b=kBp/D4hqP6xxplUCdm2yeAvkuvfSIR5lmrxyorsPHOe/d2qNE1LhUJCZ3zR9JoQrUU
 vOxmoGRl5PrUokbskFrwbwKtTw+9BJarFOc8NJvfyGqFxTLUGKWfVFWJao9AQ2I6dXlE
 ASiNF9PXGcU5hw4BaU3iDosMzH+iKY07rGB039Bme4DZ49siEjLnPuIzloJRRFkSOwf4
 LFziU1TZMRp48kRqiuXhVeThSSsnr0jXlliQ3Upc+46XNE5pgIHND5JYhnG3K5h5Tyzs
 AYurRPdcLucl45oNmsrl99IlPEWMSx/o0R+plVcZjjtP0y9DbIMaiWAm/87GtfLDVcVs
 Q3YQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=xAEOrjBcXIUfi9YWA8NIv3uRcEOffHpNVarB+ktFxN8=;
 b=mazQmwC8VB0rS9aF0uWHKyXU7tM33l1nx0YBPAQTyVE2DfSEYUh6dIrsGBuXeoPJ7h
 pbQCShAl6o4ve+42QJJvch+Vk0WYMqQKuO+DhROcLYYQeRv1bdK0lZfIPKs3kg01p0bE
 fInLtBGKOdr3j+Aiabqq1hv8MVQl/62YyRiykm2JDhVPcMNY7P8R1ypxF1o1U4BmBiLm
 ygR87ytDtYjn6ynrEUzHYO0lfrTl0HVMaeWKulqJ+0VpbWfUi8s3ZLbbbA4fxtV6UaWd
 GxaAct9eZ2bm/kwDAuaks6VzcTePp1Me3LmmJL1GPorizGlV92aFCzhGQQM4/VncHO++
 zmyQ==
X-Gm-Message-State: APjAAAXyoms+G05EbubzAXXqRH7H1Z7wTvIkgK1ncnyvcCge1klGkzdm
 37hXVpiIklG+wtKMWNKzLNErrV1E
X-Google-Smtp-Source: APXvYqwqCdyMrJ5AMCqjDoegKuy7Z+q/BqYi51xQbfWnl3ZcaBwlKGmzlX1aDodRzneIUKYzqQuenA==
X-Received: by 2002:a5d:514f:: with SMTP id u15mr9188879wrt.183.1562579988076; 
 Mon, 08 Jul 2019 02:59:48 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.47
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:47 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 28/31] gnu: mkfontdir: Fix aarch64 cross-compilation.
Date: Mon,  8 Jul 2019 11:59:10 +0200
Message-Id: <20190708095913.3460-29-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The packaged config.sub and config.guess do not have aarch64
 support. Replace them by the ones from automake. * gnu/packages/xorg.scm
 (mkfontdir)[arguments]: Replace outdated config.sub and config.guess, by the
 ones taken from ... [native-inputs]: ... here,
 by adding automake. --- gnu/packages/xorg.scm | 19 + [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: jnanam.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.68 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.68 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/xorg.scm (mkfontdir)[arguments]: Replace outdated config.sub and
config.guess, by the ones taken from ...
[native-inputs]: ... here, by adding automake.
---
 gnu/packages/xorg.scm | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index e35e8be72f..ef742d6a37 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2018 Benjamin Slade <slade@HIDDEN>
 ;;; Copyright © 2019 nee <nee@HIDDEN>
 ;;; Copyright © 2019 Yoshinori Arai <kumagusu08@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4736,8 +4737,21 @@ protocol and arbitrary X extension protocol.")
             "0c3563kw9fg15dpgx4dwvl12qz6sdqdns1pxa574hc7i5m42mman"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:phases
+     `(#:phases
        (modify-phases %standard-phases
+         (add-after 'unpack 'fix-configure
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             ;; Replace outdated config.sub and config.guess:
+             (for-each (lambda (file)
+                         (install-file (string-append
+                                        (assoc-ref
+                                         (or native-inputs inputs) "automake")
+                                        "/share/automake-"
+                                        ,(version-major+minor
+                                          (package-version automake))
+                                        "/" file) "."))
+                       '("config.sub" "config.guess"))
+             #t))
          (add-after 'install 'wrap-mkfontdir
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (wrap-program (string-append (assoc-ref outputs "out")
@@ -4749,7 +4763,8 @@ protocol and arbitrary X extension protocol.")
     (inputs
       `(("mkfontscale" ,mkfontscale)))
     (native-inputs
-      `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ("automake" ,automake))) ;For up to date 'config.guess' and 'config.sub'.
     (home-page "https://www.x.org/wiki/")
     (synopsis "Create an index of X font files in a directory")
     (description
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 06:00:14 2019
Received: from localhost ([127.0.0.1]:57857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRL-0004su-VY
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 06:00:14 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:53379)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQz-0004n9-Qb
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:53 -0400
Received: by mail-wm1-f46.google.com with SMTP id x15so15084831wmj.3
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=5ZEeqOTQux/F0/1yxph4R9A/jUYpFSnkdDDBlFnJgQo=;
 b=gayUA/5ll5nXQl7wRoYi81FXZDXKebpUTFTevEc++ouGJ916R7vkoE9VA+4RRhjkP0
 vl5mEKjlE1khzfwRNE6O3uUUdXeA/J/ODbhgoVsHug2kqsSFOJ56FjB19//L82dVzur7
 pKFUK5/cAFD8+T7BDGYhp3wL6fWG2fJ07GUXAKRcaVdlPn/NKexYDdW7p+j7Pa0v+RGZ
 VoS5VYJrxYDlgYtEsA6g4YFRDimvVNe6DDpy20D6AbqeNtxNUuk37U17zp3z2Jgi4K+m
 G0mXkHZYpBFGPwMe0UPMhYROP6wgemjHFu1t0KuARdLuM+wRXJioZsvJBpjPy/mZlm9x
 KD8w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=5ZEeqOTQux/F0/1yxph4R9A/jUYpFSnkdDDBlFnJgQo=;
 b=bNbxCQ6BYOI6QnyIcPWF11wAJkI+yQ4Fj4e2Tt6HbRTtupZlmV613RSUEGUn4SU0+1
 gd8e9w+IwFv93lwQIf2wkZkMf+eDgNVmZu48mYX+oeuvwE4VUp6H1RbidyQgeT2jSI9q
 /qG+UuA5H5hDtoaxy0SVT7pb9sl5uI/M1YXgHYS70oY+dXz3BSSkgYRzIwlEIvfuHrgn
 iQq4r3l1YUaomZAh4b+2eS58Wih4QEtIiYtckkT1xID9bzok99TwY7+6bUoRrpaRfmAl
 /NJL5S3ghj2iguLp40FOHrQMJG0LBc8zrRilfeXEbVIbQgIZqnSExkvLLCR9qDXtlBcA
 e6mQ==
X-Gm-Message-State: APjAAAUUEHiUqkrNpFS2THZP/UMUuFThmMRhVYmhAbRz5mQKFKQIv8g1
 hONodgXdrvyqd3QUNT0UdveHxbWt
X-Google-Smtp-Source: APXvYqzwxQIRXMQyWDfeIBMik65k8x2iAgSNkWUFe6W1902tsb2k1ZRhzodwtNxRha6f705163mipw==
X-Received: by 2002:a1c:2015:: with SMTP id g21mr15642392wmg.33.1562579979739; 
 Mon, 08 Jul 2019 02:59:39 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.38
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:38 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 18/31] gnu: bc: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:00 +0200
Message-Id: <20190708095913.3460-19-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/patches/bc-fix-cross-compilation.patch: New
 patch file. * gnu/local.mk (dist_patch_DATA): Add it. *
 gnu/packages/algebra.scm
 (bc)[origin]: Apply it, [native-inputs]: Add automake and au [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: sc3d.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/patches/bc-fix-cross-compilation.patch: New patch file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/algebra.scm (bc)[origin]: Apply it,
[native-inputs]: Add automake and autoconf,
[arguments]: Add a new 'autogen phase that is needed by the new patch.
---
 gnu/local.mk                                  |   1 +
 gnu/packages/algebra.scm                      |  15 +-
 .../patches/bc-fix-cross-compilation.patch    | 171 ++++++++++++++++++
 3 files changed, 184 insertions(+), 3 deletions(-)
 create mode 100644 gnu/packages/patches/bc-fix-cross-compilation.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 7d42202485..e22f8af3cc 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -689,6 +689,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/bash-completion-directories.patch	\
   %D%/packages/patches/bastet-change-source-of-unordered_set.patch	\
   %D%/packages/patches/bazaar-CVE-2017-14176.patch		\
+  %D%/packages/patches/bc-fix-cross-compilation.patch		\
   %D%/packages/patches/beets-python-3.7-fix.patch		\
   %D%/packages/patches/beignet-correct-file-names.patch		\
   %D%/packages/patches/benchmark-unbundle-googletest.patch	\
diff --git a/gnu/packages/algebra.scm b/gnu/packages/algebra.scm
index 95189401f7..7f951b6fdc 100644
--- a/gnu/packages/algebra.scm
+++ b/gnu/packages/algebra.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017, 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Marius Bakke <mbakke@HIDDEN>
 ;;; Copyright © 2017, 2019 Eric Bavier <bavier@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -668,15 +669,23 @@ binary.")
              (uri (string-append "mirror://gnu/bc/bc-" version ".tar.gz"))
              (sha256
               (base32
-               "0amh9ik44jfg66csyvf4zz1l878c4755kjndq9j0270akflgrbb2"))))
+               "0amh9ik44jfg66csyvf4zz1l878c4755kjndq9j0270akflgrbb2"))
+             (patches (search-patches "bc-fix-cross-compilation.patch"))))
     (build-system gnu-build-system)
     (native-inputs
-     `(("ed" ,ed)
+     `(("automake" ,automake)
+       ("autoconf" ,autoconf)
+       ("ed" ,ed)
        ("flex" ,flex)
        ("texinfo" ,texinfo)))
     (arguments
      '(#:configure-flags
-       (list "--with-readline")))
+       (list "--with-readline")
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'autogen
+           (lambda _
+             (invoke "autoreconf" "-vif"))))))
     (home-page "https://www.gnu.org/software/bc/")
     (synopsis "Arbitrary precision numeric processing language")
     (description
diff --git a/gnu/packages/patches/bc-fix-cross-compilation.patch b/gnu/packages/patches/bc-fix-cross-compilation.patch
new file mode 100644
index 0000000000..14dfecdbde
--- /dev/null
+++ b/gnu/packages/patches/bc-fix-cross-compilation.patch
@@ -0,0 +1,171 @@
+Patch taken from nix.
+
+commit fdda59736ddc048cf38a2c7103f4f5d9eeaf995e
+Author: Ben Gamari <ben@HIDDEN>
+Date:   Tue Oct 17 10:51:34 2017 -0400
+
+    Try implementing cross-compilation
+
+diff --git a/bc/Makefile.am b/bc/Makefile.am
+index d9d412e..fdef633 100644
+--- a/bc/Makefile.am
++++ b/bc/Makefile.am
+@@ -17,6 +17,7 @@ MAINTAINERCLEANFILES = Makefile.in bc.c bc.h scan.c \
+ 
+ AM_CPPFLAGS = -I$(srcdir) -I$(srcdir)/../h
+ LIBBC = ../lib/libbc.a
++LIBBC_HOST = ../lib/libbc_host.a
+ LIBL = @LEXLIB@
+ LDADD = $(LIBBC) $(LIBL) @READLINELIB@
+ 
+@@ -29,12 +30,20 @@ $(PROGRAMS): libmath.h $(LIBBC)
+ scan.o: bc.h
+ global.o: libmath.h
++
++main_host.c : main.c
++	cp $< $@
+ 
+-fbcOBJ = main.o bc.o scan.o execute.o load.o storage.o util.o warranty.o
++fbcOBJ = $(addsuffix _host,main.o bc.o scan.o execute.o load.o storage.o util.o warranty.o)
++
++%.o_host : CC:=$(CC_FOR_BUILD)
++
++%.o_host : %.c
++	$(COMPILE) -c $(CFLAGS) $(INCLUDES) -o $@ $<
+ 
+-libmath.h: libmath.b $(fbcOBJ) $(LIBBC)
++libmath.h: libmath.b $(fbcOBJ) $(LIBBC_HOST)
+ 	echo '{0}' > libmath.h
+-	$(MAKE) global.o
+-	$(LINK) -o fbc $(fbcOBJ) global.o $(LIBBC) $(LIBL) $(READLINELIB) $(LIBS)
++	$(MAKE) global.o_host
++	$(CC_FOR_BUILD) -o fbc $(fbcOBJ) global.o_host $(LIBBC_HOST) $(LIBL) ${READLINELIB} $(LIBS)
+ 	./fbc -c $(srcdir)/libmath.b </dev/null >libmath.h
+ 	$(srcdir)/fix-libmath_h
+ 	rm -f ./fbc ./global.o
+diff --git a/configure.ac b/configure.ac
+index fc74573..5cabb73 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -20,6 +20,7 @@ m4_define([dc_version], 1.4.1)
+ 
+ AC_INIT([bc],[bc_version])
+ AC_CONFIG_SRCDIR(doc/bc.1)
++AC_CONFIG_MACRO_DIR([m4])
+ AM_INIT_AUTOMAKE([dist-bzip2])
+ AC_CONFIG_HEADERS(config.h)
+ 
+@@ -35,6 +36,7 @@ AC_DEFINE([DC_COPYRIGHT],
+ 	  [Define the dc copyright line.])
+ 
+ AC_PROG_CC
++AX_CC_FOR_BUILD
+ AC_USE_SYSTEM_EXTENSIONS
+ 
+ AM_PROG_LEX
+diff --git a/lib/Makefile.am b/lib/Makefile.am
+index ec4bf59..c670f5b 100644
+--- a/lib/Makefile.am
++++ b/lib/Makefile.am
+@@ -1,5 +1,5 @@
+ ## Process this file with automake to produce Makefile.in
+-noinst_LIBRARIES = libbc.a
++noinst_LIBRARIES = libbc.a libbc_host.a
+ 
+ AM_CPPFLAGS = -I. -I.. -I$(srcdir)/../h
+ 
+@@ -24,3 +24,11 @@ testmul: testmul.o number.o
+ 
+ specialnumber: newnumber.o
+ 	cp newnumber.o number.o
++
++%.o_host : CC:=$(CC_FOR_BUILD)
++%.o_host : %.c
++	$(COMPILE) -c $(CFLAGS) $(INCLUDES) -o $@ $<
++
++libbc_host.a : $(addsuffix _host,$(libbc_a_OBJECTS))
++	ar cru $@ $+
++	ranlib $@
+diff --git a/m4/cc_for_build.m4 b/m4/cc_for_build.m4
+new file mode 100644
+index 0000000..c62ffad
+--- /dev/null
++++ b/m4/cc_for_build.m4
+@@ -0,0 +1,77 @@
++# ===========================================================================
++#     https://www.gnu.org/software/autoconf-archive/ax_cc_for_build.html
++# ===========================================================================
++#
++# SYNOPSIS
++#
++#   AX_CC_FOR_BUILD
++#
++# DESCRIPTION
++#
++#   Find a build-time compiler. Sets CC_FOR_BUILD and EXEEXT_FOR_BUILD.
++#
++# LICENSE
++#
++#   Copyright (c) 2010 Reuben Thomas <rrt@HIDDEN>
++#   Copyright (c) 1999 Richard Henderson <rth@HIDDEN>
++#
++#   This program is free software: you can redistribute it and/or modify it
++#   under the terms of the GNU General Public License as published by the
++#   Free Software Foundation, either version 3 of the License, or (at your
++#   option) any later version.
++#
++#   This program is distributed in the hope that it will be useful, but
++#   WITHOUT ANY WARRANTY; without even the implied warranty of
++#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
++#   Public License for more details.
++#
++#   You should have received a copy of the GNU General Public License along
++#   with this program. If not, see <https://www.gnu.org/licenses/>.
++#
++#   As a special exception, the respective Autoconf Macro's copyright owner
++#   gives unlimited permission to copy, distribute and modify the configure
++#   scripts that are the output of Autoconf when processing the Macro. You
++#   need not follow the terms of the GNU General Public License when using
++#   or distributing such scripts, even though portions of the text of the
++#   Macro appear in them. The GNU General Public License (GPL) does govern
++#   all other use of the material that constitutes the Autoconf Macro.
++#
++#   This special exception to the GPL applies to versions of the Autoconf
++#   Macro released by the Autoconf Archive. When you make and distribute a
++#   modified version of the Autoconf Macro, you may extend this special
++#   exception to the GPL to apply to your modified version as well.
++
++#serial 3
++
++dnl Get a default for CC_FOR_BUILD to put into Makefile.
++AC_DEFUN([AX_CC_FOR_BUILD],
++[# Put a plausible default for CC_FOR_BUILD in Makefile.
++if test -z "$CC_FOR_BUILD"; then
++  if test "x$cross_compiling" = "xno"; then
++    CC_FOR_BUILD='$(CC)'
++  else
++    CC_FOR_BUILD=gcc
++  fi
++fi
++AC_SUBST(CC_FOR_BUILD)
++# Also set EXEEXT_FOR_BUILD.
++if test "x$cross_compiling" = "xno"; then
++  EXEEXT_FOR_BUILD='$(EXEEXT)'
++else
++  AC_CACHE_CHECK([for build system executable suffix], bfd_cv_build_exeext,
++    [rm -f conftest*
++     echo 'int main () { return 0; }' > conftest.c
++     bfd_cv_build_exeext=
++     ${CC_FOR_BUILD} -o conftest conftest.c 1>&5 2>&5
++     for file in conftest.*; do
++       case $file in
++       *.c | *.o | *.obj | *.ilk | *.pdb) ;;
++       *) bfd_cv_build_exeext=`echo $file | sed -e s/conftest//` ;;
++       esac
++     done
++     rm -f conftest*
++     test x"${bfd_cv_build_exeext}" = x && bfd_cv_build_exeext=no])
++  EXEEXT_FOR_BUILD=""
++  test x"${bfd_cv_build_exeext}" != xno && EXEEXT_FOR_BUILD=${bfd_cv_build_exeext}
++fi
++AC_SUBST(EXEEXT_FOR_BUILD)])dnl
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 10:00:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 06:00:00 2019
Received: from localhost ([127.0.0.1]:57852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRD-0004rY-Ly
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:59 -0400
Received: from mail-wm1-f54.google.com ([209.85.128.54]:34153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR6-0004oJ-51
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:52 -0400
Received: by mail-wm1-f54.google.com with SMTP id w9so12350882wmd.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=rl6uR959dMrN3JmFrZ19jt2zO2/jjVofZ3bJXkWZe2c=;
 b=B7YRIh4PjOt1etg+/TEqgLdIdfiE5FuuvV6jkaK4hTiXnh2ry3NaGhJnO0o9XvWgOf
 I65PUHtbQMKtfdzpXcir4TpQYijqhVIujorwKtqbWvlbVtJFP/9TDaRWP1dR+r2HJavE
 osfVeyWhEypwffHWSZQT/9IjciTHCg8/3c8flAyqP00V1XEpP+LaQLMZ4IGEYaEJI4mc
 MtIqpKPFtZwxqSL9nrDmMl0q5ns670pejXgBO2u3G4jxETF+vcCANnr2NWGl4Mh1Baeo
 PcFq2JFGAr9265913i3pjQOIgGRyEV8851cR1rGx4aNuQxUt1oZBFKcdcwm8lGlZkfb1
 pwkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=rl6uR959dMrN3JmFrZ19jt2zO2/jjVofZ3bJXkWZe2c=;
 b=Zdp+jfWR1lisV+o3pg/SdI8Ye9i2usuNvLyZaroJ6kV/2OSdZBV7dn8oHONPncJ7Xo
 DW+4Cr1fO58K3PDpNejwkf+3UV07wI3OFxhwZNyjvZNVi1f7Ttoo2c/pBZQCitXI4G1T
 Lab71mKGO7da3lTPfts3qONozWwFw4FR+urQsrXvk9KDmHnsnGNkhA4KB+8IMJMfeRuY
 hSsTvfga7Ksewe6nrxcLFyTTAl0faFSpM3nXAmeanw2fRIKoBEvDAmJ3r3m00OQSFusT
 7hSOBPyOpxoZ+hdMGqwueGHGpkE9DO/ijoXAe6h5DNpbw+P7WR5rUum3017nr7bGMeA7
 52nw==
X-Gm-Message-State: APjAAAU0uht3/xhZwqmNyQg+bsBCoc7zapxNkCYPGFOysV3Wpwc1W2nT
 emLQvEBAerX4NvF9/p5vfbfNI6sy
X-Google-Smtp-Source: APXvYqy6imHFEvDW0QAsiynSu1tQF/59+ovWiq692jHcHo4wtMQxxNU9NmgFGLE9k7NrT2rAQFgn6Q==
X-Received: by 2002:a1c:200a:: with SMTP id g10mr10853656wmg.160.1562579986193; 
 Mon, 08 Jul 2019 02:59:46 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.45
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:45 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 26/31] gnu: tcsh: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:08 +0200
Message-Id: <20190708095913.3460-27-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/shells.scm (tcsh)[arguments]: Replace "cc"
   by "gcc" as native gethost compiler when cross-compiling. --- gnu/packages/shells.scm
    | 9 +++++++++ 1 file changed, 9 insertions(+) diff --git a/gnu/packages/shells.scm
    b/gnu/packages/shells.scm index f8c0fdf71f..6eed89396e 100644 --- a/gnu/packages/shells.scm
    +++ b/gnu/packages/shells.scm @@ -11,6 +11,7 @@ ;;; Copyright © 2017 A [...]
    
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ngyro.com]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.128.54 listed in list.dnswl.org]
  1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/shells.scm (tcsh)[arguments]: Replace "cc" by "gcc" as
native gethost compiler when cross-compiling.
---
 gnu/packages/shells.scm | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/gnu/packages/shells.scm b/gnu/packages/shells.scm
index f8c0fdf71f..6eed89396e 100644
--- a/gnu/packages/shells.scm
+++ b/gnu/packages/shells.scm
@@ -11,6 +11,7 @@
 ;;; Copyright © 2017 Arun Isaac <arunisaac@HIDDEN>
 ;;; Copyright © 2019 Meiyo Peng <meiyo.peng@HIDDEN>
 ;;; Copyright © 2019 Timothy Sample <samplet@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -356,6 +357,14 @@ written by Paul Haahr and Byron Rakitzis.")
     (arguments
      `(#:phases
         (modify-phases %standard-phases
+          ,@(if (%current-target-system)
+                '((add-before 'configure 'set-cross-cc
+                     (lambda _
+                       (substitute* "configure"
+                         (("CC_FOR_GETHOST=\"cc\"")
+                          "CC_FOR_GETHOST=\"gcc\""))
+                       #t)))
+                '())
           (add-before 'check 'patch-test-scripts
             (lambda _
               ;; Take care of pwd
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:59 2019
Received: from localhost ([127.0.0.1]:57850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRD-0004rQ-B4
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:59 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:38317)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR5-0004oA-7a
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:51 -0400
Received: by mail-wr1-f50.google.com with SMTP id g17so6190278wrr.5
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=UZlUgCFBzUEhX+iQcNNYWh2PANgmcnxnd2WotguWy1U=;
 b=M7bdiXhf0oID3bNm69QIGM8dq8FpCRxgfTenj8bakDLbz9dydt2xmnRoa4lH7Z6tl6
 xPM2aiFyA/I9nssabOInJ/lKznEva6UnsGbcFufUCW2fBAb/jvcFgG6vCKy9fapbWjUI
 zDKZZutwUiynFX2F7++SdraGVqqvv5TATqWiwYnO07GDDZJsBgdyE9oANfepCVxiuesv
 f9hPNWQPZ3VpzpJJS6BEqSp0M7/Cymcu5fol1D+wexCVxKF85f41dUkQHprQPZ1jNWA7
 eamAUpdqFVNgqd9za39+PMXzTkE9y0+esuvZqBbP1G/JDGjmd8lLy3e8gCYZnCfb/o/7
 ESJw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=UZlUgCFBzUEhX+iQcNNYWh2PANgmcnxnd2WotguWy1U=;
 b=sLBUiDB+UGcpb9SmoRtzxXPmBXHquBreIi9g10w/mkJMpQKAnJQZOU6RyllQSiomoL
 eNzoLK2awkSIwTSq2DmwbqM4kQYI8Z1h10W2mkWnUNKDRPXOzNcf/qxwdPdzwICDUEFO
 LJ4d0+8T4feBEPaHEhmSugZB+RFOsuDRtpKT9cEsb51m4qtj0H1VRspPCSQGDmRFi1th
 /7fvljZ8z8vS7353pk1kleHxky4MNAVWnpWuS+SAJ5uudA7xU5P0ZYcNa4+m3L6O7HQr
 +arn/+xjF1Z10wZXhOVaJY93H7iIShPAEIL1ZRthkqZ090lFwtWKM67mw2b57uk6n7RH
 vrBA==
X-Gm-Message-State: APjAAAUwJHfWgR6e+br52b/gepFkjF18tkXskd0uWTLhRWytGXQc2jIM
 fU5P5glSqE1yUb0XmsQ0XYvTegjt
X-Google-Smtp-Source: APXvYqxDpTCMVfhp6UlvW3O3ZjMrjM3wybfqr2uW86qId/kc1D2tzEHsxAaENXbNJSOt7vlX0qOOvQ==
X-Received: by 2002:a5d:56d0:: with SMTP id m16mr17392429wrw.276.1562579985097; 
 Mon, 08 Jul 2019 02:59:45 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.44
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:44 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 25/31] gnu: libarchive: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:07 +0200
Message-Id: <20190708095913.3460-26-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/backup.scm (libarchive)[arguments]: Do not
 build and run tests when cross-compiling. --- gnu/packages/backup.scm | 31
 ++++++++++++++++++++ 1 file changed, 20 insertions(+), 1 [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: elephly.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.50 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/backup.scm (libarchive)[arguments]: Do not build and run tests
when cross-compiling.
---
 gnu/packages/backup.scm | 31 ++++++++++++++++++++-----------
 1 file changed, 20 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/backup.scm b/gnu/packages/backup.scm
index 0bd894f958..783ca7a674 100644
--- a/gnu/packages/backup.scm
+++ b/gnu/packages/backup.scm
@@ -13,6 +13,7 @@
 ;;; Copyright © 2018 Oleg Pykhalov <go.wigust@HIDDEN>
 ;;; Copyright © 2018, 2019 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2019 Alex Vong <alexvong1995@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -226,17 +227,25 @@ backups (called chunks) to allow easy burning to CD/DVD.")
                (("/bin/pwd") (which "pwd")))
              #t))
          (replace 'check
-           (lambda _
-             ;; XXX: The test_owner_parse, test_read_disk, and
-             ;; test_write_disk_lookup tests expect user 'root' to exist, but
-             ;; the chroot's /etc/passwd doesn't have it.  Turn off those tests.
-             ;;
-             ;; The tests allow one to disable tests matching a globbing pattern.
-             (invoke "make" "libarchive_test" "bsdcpio_test" "bsdtar_test")
-             ;; XXX: This glob disables too much.
-             (invoke "./libarchive_test" "^test_*_disk*")
-             (invoke "./bsdcpio_test" "^test_owner_parse")
-             (invoke "./bsdtar_test")))
+           ,@(if (%current-target-system)
+                 '((lambda _
+                     #t))
+                 '((lambda _
+                     ;; XXX: The test_owner_parse, test_read_disk, and
+                      ;; test_write_disk_lookup tests expect user 'root' to
+                      ;; exist, but the chroot's /etc/passwd doesn't have it.
+                      ;; Turn off those tests.
+                      ;;
+                      ;; The tests allow one to disable tests matching a
+                      ;; globbing pattern.
+                      (invoke "make"
+                              "libarchive_test"
+                              "bsdcpio_test"
+                              "bsdtar_test")
+                      ;; XXX: This glob disables too much.
+                      (invoke "./libarchive_test" "^test_*_disk*")
+                      (invoke "./bsdcpio_test" "^test_owner_parse")
+                      (invoke "./bsdtar_test")))))
          (add-after 'install 'add--L-in-libarchive-pc
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out     (assoc-ref outputs "out"))
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:59 2019
Received: from localhost ([127.0.0.1]:57848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRD-0004rJ-0U
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:59 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:43756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR4-0004nv-Ad
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:50 -0400
Received: by mail-wr1-f53.google.com with SMTP id p13so16308384wru.10
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=eXOrqKBsEUydUt4KnFghWpmH/D1ZJAxAcwxQ2MDvbks=;
 b=qDPafGKmnItGEtaRhyVM+gxu8tA446bp07RNpsXnsoEo8RE2eyML+gfrRkrQsnLz8l
 I/oDGNpaVPbmD5EYLzF4uw46GfUhLYH8yXiSA0JxxUmiQ/H8OyclwfouSazVejQpr708
 WUIeNvB4rZEhzYZkU4qmtzb+HUXJrCsv8KtUlAt5snRaj9/yWxfMhmj9dcDtjcW3d+4e
 kTkpLe068QRjKjPxb6auXod1g+uwRvQ4L6nHb2T2Ru4vTVHi7wVov2VAXKeitguNCpQ6
 jOSeYQTe2QDp/1Om68Uk5+y7XtXGwtyGV5GuvMbjA3YFO40WPAuQOTxr6uSnvG7nvMYR
 SlTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=eXOrqKBsEUydUt4KnFghWpmH/D1ZJAxAcwxQ2MDvbks=;
 b=rmOlRHrAnKiblgmOIR8LNj3dMXJ/zw36ryT/lvS5I+h5e25x9NQtK4BjXJnPipw2lx
 t/PuKjnaa5cBQrwwBH+z2Uw2EmfYJlMaizMU9+iti+49x9APP9MRfamqoQ1FsZOxNVxk
 0PbhnLk8hxO9sy954OC48U/H9iW6gGtjmPKefJtSuM+Cf39Yb1ANUHM2iJdp3JkEy3Yb
 KuT7zg8VyJEwvZqMXo4lHDWQT8ns1qA3/81omU1zlPimoxKRADPSBOknNTcLjO3FUGQl
 jpv2n6B9aWnLZ3wTSq35yrJ3vuHQU+lujU0uB0zLNrNn0Rvz4ks5pN3VdKlPYx9V9Tpp
 xuEQ==
X-Gm-Message-State: APjAAAV9YWpZrN7l9ZzvvZR9SOdk/OmDyX+uhCI8BhnbZczJXFj++XRR
 1CQ+asjbBb0YlRr2BuLwIO3hhIsK
X-Google-Smtp-Source: APXvYqz77Lbbxe3anqPamN8SpEGu0JUt4RKRPpZuXlIjcMvBLNFZhEh29phNdG5bb4NxCEdOWRxMMg==
X-Received: by 2002:a5d:55cc:: with SMTP id i12mr18697702wrw.201.1562579984252; 
 Mon, 08 Jul 2019 02:59:44 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.43
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:43 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 24/31] gnu: xmlto: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:06 +0200
Message-Id: <20190708095913.3460-25-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/xml.scm (xmlto)[inputs]: Move util-linux from
 here ... [native-inputs]: ... to here. --- gnu/packages/xml.scm | 5 +++--
 1 file changed, 3 insertions(+),
 2 deletions(-) diff --git a/gnu/packages/xml.scm
 b/gnu/packages/xml.scm index 5fefa2c1dc..5239070b1c 100644 ---
 a/gnu/packages/xml.scm
 +++ b/gnu/packages/xml.scm @@ -915, 9 +915,
 10 @@ code for classes that correspond [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: cyberelk.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.53 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/xml.scm (xmlto)[inputs]: Move util-linux from here ...
[native-inputs]: ... to here.
---
 gnu/packages/xml.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
index 5fefa2c1dc..5239070b1c 100644
--- a/gnu/packages/xml.scm
+++ b/gnu/packages/xml.scm
@@ -915,9 +915,10 @@ code for classes that correspond to data structures defined by XMLSchema.")
                                               (assoc-ref %build-inputs
                                                          "util-linux")
                                               "/bin/getopt"))))
+    (native-inputs
+     `(("util-linux" ,util-linux)))               ; for 'getopt'
     (inputs
-     `(("util-linux" ,util-linux)                 ; for 'getopt'
-       ("libxml2" ,libxml2)                       ; for 'xmllint'
+     `(("libxml2" ,libxml2)                       ; for 'xmllint'
        ("libxslt" ,libxslt)))                     ; for 'xsltproc'
     (home-page "http://cyberelk.net/tim/software/xmlto/")
     (synopsis "Front-end to an XSL toolchain")
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:59 2019
Received: from localhost ([127.0.0.1]:57846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRC-0004rC-GV
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:58 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:36638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR2-0004nl-TJ
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:49 -0400
Received: by mail-wm1-f68.google.com with SMTP id g67so9514287wme.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=9LH9zS5a1KC41UiH/vEdbYKoGaeZ5Nr/Ztw1P9bOcww=;
 b=g/iKlywxq2Ax1HExSC87KtX4XDyC8jhOE4gP3jp2ZPVBgsoryyUCW4aYVHWRGuTcwz
 xeD80TARCivTXyd3dz48Nh3LGIDBlgEOj8jAY1xYrOik1u06ZHYLLtOGHRgRPA9WUGwE
 6lCz7dU5X74FcBAF1tg8UrTFBDWjp8S5r31zDSFzQp8z04VSs4gLYcsmIVF0pH8Eh4cw
 dhQrvrRumHGZ8zSDfuZFBK57ybGmHm8FxLGXYThW8/4OMK5ltzHj9k7UbSkfV46AhRVw
 fLdpPn77CRirkEnJ3CIgtOUVfF9iWpr4hiEcPvjYN4F4ZWxKbNSuP/7jfP7aSm1mIKf8
 te3w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=9LH9zS5a1KC41UiH/vEdbYKoGaeZ5Nr/Ztw1P9bOcww=;
 b=dGfTsU1D8lZYZKfV/12fT3wuOEWkuOmAN89OyZ7MFWnf6OgqlRVaBXzcSwDwT3gOtH
 8C5M4if19sT1yjuonaSANjn6QFOJnRLVIBpAMozBN18BbZmdg82VhN56J4+Y/Meu2HFP
 McdE4fxNHHN+4DMoq5CU8qmcvr48FsOeguCU6psEe9YUToDHmWzLTrYx45DNe+mBj0YJ
 AH1aAL8ojj6V/Qr1jHbcwfN2tFy4m4djAY/xxUI5UASgilgw9kb7V3NDf099kbEJ2Z2R
 L67gFXcRXCrd8uLdwkn/3dIPmYT8+5GwiXaP20fXG6O23vMxdN6ffT/f0y3sKO27VZyP
 6DKw==
X-Gm-Message-State: APjAAAWZkIMTv/ttLIALCJAV2RMVSvmziT8qm0Hvv8O1s3Nf371zNp8A
 Fzf/b+n2qSTVaBZkx/YBvJOaM8cF
X-Google-Smtp-Source: APXvYqw/rZBinlFeP4Ra5+a4udGUeqA1UD+d1AhllXb0TWNG67NViXgZcjKeT5tbyqyyGr2kcN4BBQ==
X-Received: by 2002:a1c:b457:: with SMTP id d84mr17172860wmf.153.1562579982875; 
 Mon, 08 Jul 2019 02:59:42 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.42
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:42 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 22/31] gnu: cyrus-sasl: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:04 +0200
Message-Id: <20190708095913.3460-23-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch: New
 file. * gnu/local.mk (dist_patch_DATA): Add it. * gnu/packages/cyrus-sasl.scm
 (cyrus-sasl)[origin]: Apply it. [native-tools]: Add autoconf, [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: famulari.name]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.68 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.68 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/cyrus-sasl.scm (cyrus-sasl)[origin]: Apply it.
[native-tools]: Add autoconf, automake and libtool.
[arguments]: Run autoconf to apply m4 modification in patch above.
---
 gnu/local.mk                                    |  1 +
 gnu/packages/cyrus-sasl.scm                     | 17 +++++++++++++++--
 .../patches/cyrus-sasl-ac-try-run-fix.patch     | 12 ++++++++++++
 3 files changed, 28 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index e22f8af3cc..d5cd00c0ed 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -740,6 +740,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/cube-nocheck.patch			\
   %D%/packages/patches/cursynth-wave-rand.patch			\
   %D%/packages/patches/cvs-2017-12836.patch			\
+  %D%/packages/patches/cyrus-sasl-ac-try-run-fix.patch		\
   %D%/packages/patches/dbus-helper-search-path.patch		\
   %D%/packages/patches/dbus-CVE-2019-12749.patch		\
   %D%/packages/patches/dealii-mpi-deprecations.patch		\
diff --git a/gnu/packages/cyrus-sasl.scm b/gnu/packages/cyrus-sasl.scm
index f84136e631..3e65a1faf6 100644
--- a/gnu/packages/cyrus-sasl.scm
+++ b/gnu/packages/cyrus-sasl.scm
@@ -2,6 +2,7 @@
 ;;; Copyright © 2013, 2014, 2015, 2017 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2013 Andreas Enge <andreas@HIDDEN>
 ;;; Copyright © 2016 Leo Famulari <leo@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -20,6 +21,7 @@
 
 (define-module (gnu packages cyrus-sasl)
   #:use-module (gnu packages)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages dbm)
   #:use-module (gnu packages kerberos)
   #:use-module (gnu packages tls)
@@ -41,8 +43,13 @@
                         "ftp://ftp.cyrusimap.org/cyrus-sasl/cyrus-sasl-"
                         version ".tar.gz")))
             (sha256 (base32
-                     "1m85zcpgfdhm43cavpdkhb1s2zq1b31472hq1w1gs3xh94anp1i6"))))
+                     "1m85zcpgfdhm43cavpdkhb1s2zq1b31472hq1w1gs3xh94anp1i6"))
+            (patches (search-patches "cyrus-sasl-ac-try-run-fix.patch"))))
    (build-system gnu-build-system)
+   (native-inputs
+     `(("autoconf" ,autoconf)
+       ("automake" ,automake)
+       ("libtool" ,libtool)))
    (inputs `(("gdbm" ,gdbm)
              ("openssl" ,openssl)))
    (propagated-inputs
@@ -57,7 +64,13 @@
       ;; 'plugin_common.c'.  When building the shared libraries there, libtool
       ;; ends up doing "ln -s plugin_common.lo plugin_common.o", which can
       ;; fail with EEXIST when building things in parallel.
-      #:parallel-build? #f))
+      #:parallel-build? #f
+
+      #:phases
+      (modify-phases %standard-phases
+        (add-after 'unpack 'autogen
+          (lambda _
+            (invoke "autoreconf" "-vif"))))))
    (synopsis "Simple Authentication Security Layer implementation")
    (description
     "SASL (Simple Authentication Security Layer) is an Internet
diff --git a/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch b/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
new file mode 100644
index 0000000000..8662e812e9
--- /dev/null
+++ b/gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
@@ -0,0 +1,12 @@
+--- a/m4/sasl2.m4	2018-11-18 22:33:29.902625600 +0300
++++ b/m4/sasl2.m4	2018-11-18 22:33:59.828746176 +0300
+@@ -339,7 +339,8 @@
+ ],	
+ 	[ AC_DEFINE(HAVE_GSS_SPNEGO,,[Define if your GSSAPI implementation supports SPNEGO])
+ 	AC_MSG_RESULT(yes) ],
+-	AC_MSG_RESULT(no))
++	AC_MSG_RESULT(no),
++    AC_MSG_RESULT(no))
+   LIBS="$cmu_save_LIBS"
+ 
+ else
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:58 2019
Received: from localhost ([127.0.0.1]:57844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRC-0004r4-5R
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:58 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:44656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR3-0004ns-Bw
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:49 -0400
Received: by mail-wr1-f67.google.com with SMTP id p17so5160273wrf.11
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=EArZ/CoUdI72VQ015wygGOM6qdwBkw5uI3bYBuMWclw=;
 b=kWE+AQL0mQ8+jjO5NgvSMAampJRJdvKCD5MZy1qb8C9tTWdVEqVaXuCLus4PEE5OcK
 RmtON5j4x7rSz2+rOJnUNPioBPHaDymv0ZnpvvtEE84Y8Ef0BY2zitGBxB55E4nY9vle
 tUmnpKtogGm11tQxbjgdJY2SIzThYB+aIuQlR2WXP24jI6OSYWosbS8tELp51P5btAJ/
 3NnAkX/MT4/7YF5BVDWL3GY2hg1HVlhUbpaMlibOEMrAyMhTQ1XryLux6Ce3fRF+Iq18
 4e0gro4dC5l1SnpjnuEMDLPZnm1It5hc38gQ1+gfy6col0kZ7+gVtgwphOGMg4Tq3JWV
 tQgQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=EArZ/CoUdI72VQ015wygGOM6qdwBkw5uI3bYBuMWclw=;
 b=eUJnniFuY66Xgzt/s9SEV3mAIpRB3v+tAB+5gsKcoTmlSJ60K6OIrtopAVAw4JBTQ2
 wTjI/uype8yKJFTq2GXgwsYnYt35gP8ZvBoY8Z3PepY5JoR+atfGvHG/6Hj4kBYvhvEt
 /DOB59sky+Y8zFrCgyzH8vN2V42gBNISiBMDFU6bYQfYACsmZRfgo9rrq7lIG+aIGoUi
 jlyUmvQirb9PdE4wg4GRFROf2WDomhAbuhJrZMw5f4u4ibxj2ot6A/qQ/ZboHJES/HbF
 gzJpbNnBLV6rmMoQgq3a/z1Z/Bn4ErqIWROk0F/CQ9VvmW9D3XpJFlpZhzYGCKYOIXKp
 n6vg==
X-Gm-Message-State: APjAAAWcx7yrA3ACMKE+IHQCY1YGSJ3Q2ee/TvbXWr6GqZDFL3SUhgku
 zfyXlaWz7vy3WYU63Tnef1SFWcia
X-Google-Smtp-Source: APXvYqwdOmTxth6Jn36Xnxv8BKM4ozqYmFDg8MbNU1WphRZDs1bBbSs5LsEa4vWF/xv+/46DE95gsg==
X-Received: by 2002:adf:ecd2:: with SMTP id s18mr17815498wro.339.1562579983503; 
 Mon, 08 Jul 2019 02:59:43 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.42
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:43 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 23/31] gnu: help2man: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:05 +0200
Message-Id: <20190708095913.3460-24-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/man.scm (help2man)[inputs]: Turn into ...
 [native-inputs]:
 ... that. --- gnu/packages/man.scm | 2 +- 1 file changed, 1 insertion(+),
 1 deletion(-) diff --git a/gnu/packages/man.scm b/gnu/packages/man.scm index
 04c800e95f..6b5de3d033 100644 --- a/gnu/packages/man.scm +++
 b/gnu/packages/man.scm
 @@ -210,7 +210,7 @@ Linux kernel and C library interf [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.67 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.67 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/man.scm (help2man)[inputs]: Turn into ...
[native-inputs]: ... that.
---
 gnu/packages/man.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/man.scm b/gnu/packages/man.scm
index 04c800e95f..6b5de3d033 100644
--- a/gnu/packages/man.scm
+++ b/gnu/packages/man.scm
@@ -210,7 +210,7 @@ Linux kernel and C library interfaces employed by user-space programs.")
     (build-system gnu-build-system)
     (arguments `(;; There's no `check' target.
                  #:tests? #f))
-    (inputs
+    (native-inputs
      `(("perl" ,perl)
        ;; TODO: Add these optional dependencies.
        ;; ("perl-LocaleGettext" ,perl-LocaleGettext)
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:58 2019
Received: from localhost ([127.0.0.1]:57842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRB-0004qx-Q7
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:58 -0400
Received: from mail-wm1-f65.google.com ([209.85.128.65]:36633)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR2-0004nd-3C
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:48 -0400
Received: by mail-wm1-f65.google.com with SMTP id g67so9514221wme.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=W/5jb2L9QoJrSstxoxV0MeUoUnp+wYamOajPJPW7GC8=;
 b=h4BoqNnSPPmcZUeBwxT+g+aMSCq5fYzLwF6tz08AjCUU0gJuPMTtbw3px0XRCumVtP
 sQTEznSvT66vb7xQIok7gBd+qX7mPjsDKvncDWvfxQ113ghXEqFxER4EwIGa8sQxJKTa
 QksVfhtSB+Aq7MVHKVcLw+rpoGQkqGyG1egkwDZrhOUFCpX/CGgZOZ56/Tfmbv4xrNXL
 6lf04c+LMhMbkm0txwVJ0ilEk4B/fRQkOqagVCdznOwdUrUOK/ld/6c1ZDxPZcRDPRF6
 eNhlXlxoR86M1ZMnlv46bU6alL1FOYg0Ktb9a9eIk1FVnLB7b0tFsUQj5iFul4bFoT97
 kQFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=W/5jb2L9QoJrSstxoxV0MeUoUnp+wYamOajPJPW7GC8=;
 b=pnuKbCtvKaXIiNqngz/rZ5ZEPFVu238gO6uYqkfW2BaFWHxguszdtM4MCsEEEroCPG
 5J/pMPewpjkcCtp2gsxMK0V5w64ReFvNy+bV0VaONeQJEwmF7EZqNYt+M+vCxshLvEVy
 NSdjZcRKZIFVSsdprUQNaDZ4BaO6xgCtyT+0bHRQrtMWrt0+h4dv2NwFGRxb6FGKk27i
 D7AVwkCILYMBfYyJpgVt8dKDoSQkvDI4l7XpDqSlldtYA0xHdC60Gr24dqt5WsXIvvct
 SF/1NruF8WKzLtITV4l6U47ExTLyRMd3BLUsiY9iGDswRGY1Sq+l6uydcTsKX36lZBmQ
 +eaQ==
X-Gm-Message-State: APjAAAUI/I3+eF6y8uBQuNaAh3+LFoLH+zeHgrhajq9r8aVeiZNS7O6B
 A1+m8IQuyp/l0RpEtkQ25KnUTwKr
X-Google-Smtp-Source: APXvYqxDDsQl9N50F0zQikPmzlLS8dmj1AraC+eAt3M1ndZ01SGV8CP+KbJDqWCsJT8ZEC/h2lS8Lw==
X-Received: by 2002:a1c:5f87:: with SMTP id
 t129mr16995275wmb.150.1562579981998; 
 Mon, 08 Jul 2019 02:59:41 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.41
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:41 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 21/31] gnu: mit-krb5: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:59:03 +0200
Message-Id: <20190708095913.3460-22-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/kerberos.scm (mit-krb5)[arguments]: Disable
 tests when cross-compiling. Add cross-compilation specific configure-flags
 and make-flags. Search for perl in native-inputs or inputs. --- gn [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: tobias.gr]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.65 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/kerberos.scm (mit-krb5)[arguments]: Disable tests when
cross-compiling. Add cross-compilation specific configure-flags and
make-flags. Search for perl in native-inputs or inputs.
---
 gnu/packages/kerberos.scm | 23 +++++++++++++++++++----
 1 file changed, 19 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/kerberos.scm b/gnu/packages/kerberos.scm
index 873f5d8a37..8be4bd1ccc 100644
--- a/gnu/packages/kerberos.scm
+++ b/gnu/packages/kerberos.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Alex Vong <alexvong1995@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -68,9 +69,23 @@
        ("perl" ,perl)))
     (arguments
      `(;; XXX: On 32-bit systems, 'kdb5_util' hangs on an fcntl/F_SETLKW call
-       ;; while running the tests in 'src/tests'.
-       #:tests? ,(string=? (%current-system) "x86_64-linux")
+       ;; while running the tests in 'src/tests'. Also disable tests when
+       ;; cross-compiling.
+       #:tests? ,(and (not (%current-target-system))
+                      (string=? (%current-system) "x86_64-linux"))
 
+       #:configure-flags
+       (list ,@(if (%current-target-system)
+                   '("krb5_cv_attr_constructor_destructor=yes"
+                     "ac_cv_func_regcomp=yes"
+                     "ac_cv_printf_positional=yes"
+                     "ac_cv_file__etc_environment=yes"
+                     "ac_cv_file__etc_TIMEZONE=no")
+                   '()))
+       #:make-flags
+       (list ,@(if (%current-target-system)
+                   '("CFLAGS+=-DDESTRUCTOR_ATTR_WORKS=1")
+                   '()))
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'enter-source-directory
@@ -78,8 +93,8 @@
              (chdir "src")
              #t))
          (add-before 'check 'pre-check
-           (lambda* (#:key inputs #:allow-other-keys)
-             (let ((perl (assoc-ref inputs "perl")))
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             (let ((perl (assoc-ref (or native-inputs inputs) "perl")))
                (substitute* "plugins/kdb/db2/libdb2/test/run.test"
                  (("/bin/cat") (string-append perl "/bin/perl"))
                  (("D/bin/sh") (string-append "D" (which "sh")))
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:57 2019
Received: from localhost ([127.0.0.1]:57840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRB-0004qq-Cc
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:57 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:39189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR1-0004nV-4Q
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:48 -0400
Received: by mail-wm1-f47.google.com with SMTP id z23so15714818wma.4
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XP5U71aynJuHrZje95YXgWbwPwfBuT2oajm6I7Hh+bw=;
 b=sl/LKQNHkWZSKBn7Tng1ma7tiVn2fTrpZSHbEZbbgoHZ0umLn0/oZAlVWYwWtUYtAn
 L0XhlFi2lOkQnHQAKE28uCHuPA3UvFWGlxNlkfhm567TOPL2gW5HQosVFijqIbvh9cPF
 D094pCMQY0l/of9jWzUg8ROYZnD2w/YIbTdGnisZFYBooQjvs7O6lTMbox8TCEjCl5uO
 7jvcO+J3ScyXLGjUlnWZ1kzpzaE19XT9flf2LyouBRSTasyZMuFowfOEr0jHWHgL33bM
 dn2DHbNQ0sUV3U9uWd5VcNLYFQtNN5QTgnW4Ueb7JuCtx02EIaCP2XJS6cbIDI8BPU/K
 IALQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XP5U71aynJuHrZje95YXgWbwPwfBuT2oajm6I7Hh+bw=;
 b=f1xR4Drz09a2bSxExh8y+Q/CL477otmSnCMdpEhmsjgnsRJtKM3Yd4dei7JrOOfD7a
 MyR4mWrlyFMcBLIkCQ1FLYWbziQZEUDqBL+yZoMjye5oTH974ixQljleqrANYg59Xt9m
 GNuJOIYneJQyPBo0CZXDr0KgC3iHu5nmwxsE8/3y2GxyCoUfj3BRaVsNxXmCVoKpu+fD
 jCj5PdMWNE/LXLaZneG8u5KL4xsZ6PgrHSNkrR7DcqD/LdMZsXvYndmTLwhGsCSkO6zu
 Vd9RUjy4tq/MjnNOAPqRYj2ppOiFOzcUWYFEuqkTmC8UFPxILUagHuyJzV314lt/LXaO
 224g==
X-Gm-Message-State: APjAAAXSUegJNtfO8DRQCMQXNZR4FPV4xidXPBT08QDwq1LGXYf8y5BA
 zC7m3glW8YAmKR/QRlqK2LlajMJN
X-Google-Smtp-Source: APXvYqwdSODzGYN1RnXhXd02BPDsXf+DGb/oP3w3o5Elg5BONvg2/Ny/OKd2WdBI4iTIHZ9Z0U/gEw==
X-Received: by 2002:a1c:e710:: with SMTP id e16mr15921836wmh.38.1562579981234; 
 Mon, 08 Jul 2019 02:59:41 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.40
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:40 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 20/31] gnu: libsamplerate: Fix aarch64 cross-compilation.
Date: Mon,  8 Jul 2019 11:59:02 +0200
Message-Id: <20190708095913.3460-21-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The packaged config.sub and config.guess do not have aarch64
 support. Replace them by the ones from automake. * gnu/packages/pulseaudio.scm
 (libsamplerate)[arguments]: Replace outdated config.sub and config.guess,
 taken from ... [native-inputs]: ... here,
 by adding automake. --- gnu/packages/pulseaudio.scm | [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: xsteve.at]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.47 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.47 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/pulseaudio.scm (libsamplerate)[arguments]: Replace outdated config.sub and
config.guess, taken from ...
[native-inputs]: ... here, by adding automake.
---
 gnu/packages/pulseaudio.scm | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/pulseaudio.scm b/gnu/packages/pulseaudio.scm
index 96d15bdf9c..7c91ec201a 100644
--- a/gnu/packages/pulseaudio.scm
+++ b/gnu/packages/pulseaudio.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017 Stefan Reichör <stefan@HIDDEN>
 ;;; Copyright © 2017 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Pierre Langlois <pierre.langlois@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -27,6 +28,7 @@
 (define-module (gnu packages pulseaudio)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (guix utils)
   #:use-module ((guix licenses) #:prefix l:)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system python)
@@ -96,10 +98,28 @@ for reading and writing new sound file formats.")
                "1ha46i0nbibq0pl0pjwcqiyny4hj8lp1bnl4dpxm64zjw9lb2zha"))))
     (build-system gnu-build-system)
     (native-inputs
-     `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ("automake" ,automake))) ;For up to date 'config.guess' and 'config.sub'.
     (propagated-inputs
      `(("libsndfile" ,libsndfile)
        ("fftw" ,fftw)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-configure
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
+             ;; Replace outdated config.sub and config.guess:
+             (with-directory-excursion "Cfg"
+               (for-each (lambda (file)
+                           (install-file (string-append
+                                          (assoc-ref
+                                           (or native-inputs inputs) "automake")
+                                          "/share/automake-"
+                                          ,(version-major+minor
+                                            (package-version automake))
+                                          "/" file) "."))
+                         '("config.sub" "config.guess")))
+             #t)))))
     (home-page "http://www.mega-nerd.com/SRC/index.html")
     (synopsis "Audio sample rate conversion library")
     (description
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:57 2019
Received: from localhost ([127.0.0.1]:57838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRA-0004qd-Vs
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:57 -0400
Received: from mail-wm1-f53.google.com ([209.85.128.53]:37244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQR0-0004nI-Hv
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:47 -0400
Received: by mail-wm1-f53.google.com with SMTP id f17so15706402wme.2
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=QOfp9AvAiEE2w0Nhd6tVv65i7N+CuYmSscs9xW0UtC0=;
 b=gBWM8AbRM+27G7TOxIu2hn1vJht0x1wK+f3b18F81YD8Es+AldHK7Pk6CCVsMcgb3+
 YfdflUhYSBJOhujS7VP/nq8C1312NYVataRJinUoP58AFd48eMkAzHVZpwl/XSDDFnm+
 evQiM6BBjabItXlG6BOQQ8m17pqPhvrHiXcHzYdFFsMtpM1xv/mmQzy3I0FT33/0B4pF
 YcrAc7pL8v9e3i/wtZAdOojfui74o/3gas+jMyk/7pvH49b6rlyjOQW8IIee1FY1FLjC
 pvVF5B2ZIAhP5utFKBf8TpGTxvf1uHPbrYtWlwo3z///H3vWMQPXIUHeBC0wnCro9+ta
 An1g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=QOfp9AvAiEE2w0Nhd6tVv65i7N+CuYmSscs9xW0UtC0=;
 b=A88CmxqQgSrAr3ir8YaSUdB4zDfmVxuSSfiVXO310jbe2ojmGXqQ5DPc8F2JbkIs8/
 MxQO46ET1jc004tRnWlHmvHuPC3umBbvRB4PwBwTxU7fY/Ptp1xlkGfSQewbVHhSq6LA
 8k7d7CttMcCloqkH7/tGeAiVmx802/LAA3E34yP34Q8bHNsyIwecBpLOBbNKeHkZjAfi
 z6mVU6NZnYyTau3FbnSeGY7ja6Gc8QsVUdRCY8aoLt/C56viV4MxtK244dGHSppoprPM
 YgrUoC8lwhmhJCObNZ74rEmDXe69vBxtfjJxJzFFNIFkbfzcH3OzjOfa7fqXUj+W5RFH
 5vmg==
X-Gm-Message-State: APjAAAUJEhE5dkhYLAOJmjMhz8xBopuEXz4XfFK7koH4vvywudrX9tly
 FzJ/oe5HbXjfZvNC0tuYVSaJe7tE
X-Google-Smtp-Source: APXvYqxpyqNJTTZRQzk7XZIPG11j0jrlAZZKt2yqr6STmQbRSIGelCh7onKmVGjGKaOZxj0bQBHB5A==
X-Received: by 2002:a05:600c:2503:: with SMTP id
 d3mr16579737wma.41.1562579980426; 
 Mon, 08 Jul 2019 02:59:40 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.39
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:39 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 19/31] gnu: indent: Fix aarch64 cross-compilation.
Date: Mon,  8 Jul 2019 11:59:01 +0200
Message-Id: <20190708095913.3460-20-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The packaged config.sub and config.guess do not have aarch64
 support. Replace them by the ones from automake. * gnu/packages/code.scm
 (indent)[arguments]: Replace outdated config.sub and config.guess, taken from
 ... [native-inputs]: ... here,
 by adding automake. (indent-2.2.12)[native-inputs]:
 Inherit from in [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: makefile.in]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.53 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.53 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/code.scm (indent)[arguments]: Replace outdated config.sub and
config.guess, taken from ...
[native-inputs]: ... here, by adding automake.
(indent-2.2.12)[native-inputs]: Inherit from indent native-inputs to keep
automake that is added above.
---
 gnu/packages/code.scm | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/code.scm b/gnu/packages/code.scm
index c5dfa4aa7a..22111f7b09 100644
--- a/gnu/packages/code.scm
+++ b/gnu/packages/code.scm
@@ -29,6 +29,7 @@
 
 (define-module (gnu packages code)
   #:use-module (guix packages)
+  #:use-module (guix utils)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module ((guix licenses) #:prefix license:)
@@ -634,6 +635,8 @@ the C, C++, C++/CLI, Objective‑C, C#, and Java programming languages.")
             (sha256 (base32
                      "0f9655vqdvfwbxvs1gpa7py8k1z71aqh8hp73f65vazwbfz436wa"))))
    (build-system gnu-build-system)
+   (native-inputs
+    `(("automake" ,automake))) ; For up to date 'config.guess' and 'config.sub'.
    (arguments
     `(#:phases
       (modify-phases %standard-phases
@@ -644,6 +647,20 @@ the C, C++, C++/CLI, Objective‑C, C#, and Java programming languages.")
             ;; overrides this to be in PREFIX/doc.  Fix this.
             (substitute* "doc/Makefile.in"
               (("^docdir = .*$") "docdir = @docdir@\n"))
+            #t))
+        (add-after 'unpack 'fix-configure
+          (lambda* (#:key inputs native-inputs #:allow-other-keys)
+            ;; Replace outdated config.sub and config.guess:
+            (with-directory-excursion "config"
+              (for-each (lambda (file)
+                          (install-file
+                           (string-append (assoc-ref
+                                           (or native-inputs inputs) "automake")
+                                          "/share/automake-"
+                                          ,(version-major+minor
+                                            (package-version automake))
+                                          "/" file) "."))
+                        '("config.sub" "config.guess")))
             #t)))))
    (synopsis "Code reformatter")
    (description
@@ -666,7 +683,9 @@ extensions over the standard utility.")
               (sha256
                (base32
                 "12xvcd16cwilzglv9h7sgh4h1qqjd1h8s48ji2dla58m4706hzg7"))))
-    (native-inputs `(("texinfo" ,texinfo)))))
+    (native-inputs
+     `(("texinfo" ,texinfo)
+       ,@(package-native-inputs indent)))))
 
 (define-public amalgamate
   (let* ((commit "c91f07eea1133aa184f652b8f1398eaf03586208")
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:56 2019
Received: from localhost ([127.0.0.1]:57835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRA-0004qT-HG
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:56 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:53774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQy-0004mo-L1
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:45 -0400
Received: by mail-wm1-f66.google.com with SMTP id x15so15084773wmj.3
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=nmig3T3Fy6BIaouxn4e7AkF/Q0t/v8y4UcR1elDwDnI=;
 b=JWcCrAldFWzVjk/LW24gmjfT5UoIF8dzmfAUOwIuhv53uK7bdsOux/moGvL1WwYPSU
 HrpTrNS9vejyRtoZPwbqnKfmki36b8l6P+Ai8s+djuMHWHmdUv7aE18wWMCAfESTeRxU
 V0OKxkgrlcDBCjyIoVGoAIpU7lGsWTNSDLvwIvMuAuxHkuAgiiLZzvoyD2HhHWujg77u
 V6dkS7Qvu1WYgRGA55IZiOOBvZAsR3srVuYv+lDei3WtDGQ8Wad4LiUWJtFBM0S8nIMu
 y1ZcBB1AEnqy3XaGH2/PeLtAaTEB2U1k6/68jMqe1BTDs1CB4XorSLQoYcLO/3e4PB3l
 Y82Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=nmig3T3Fy6BIaouxn4e7AkF/Q0t/v8y4UcR1elDwDnI=;
 b=KyKBSRpQeeHOpQjKjeExx7f51gJL1uVXJO/rVRRQ8B62/hOb8h1ToLH2vlo8GykflK
 edah9nMiv8MhlSwjshx7JgKSzOZWTPvtMQo6o+PrYsTsK0Aa9n4LGJTe0AiNITaxEUsW
 2LXi0N4ZpTWSaxn1PVqZuQtOv2R1GVWN1lO7L4aJ2c390Uzl5Aq7FhJczS8GQnZ20Dk8
 i1nRa+fbHHLK0dGXpEDz7FdHL0SyCGOTZlFeoTrhIwasPS8eBNQaLoCy2JI9sJTclfWl
 I/B6rGl5T5IqQo3XkMtMsmxsVxzIyjWE9ZDdBfk/i5DHY6mwZFjSOSm0X4US2gtTt7jO
 q2yA==
X-Gm-Message-State: APjAAAWvWk73k4DkoXlaqrwiHb5MnhYHoKfxQywP+4CNQgETAkDbmZ81
 kTCHzkDXRIW1FDghitdj/HJ0pBK8
X-Google-Smtp-Source: APXvYqwFRJ1HUFhHOO7e5rsJysEDNhTE51RIswFd4tkMyKTaa/FPCQJuA7lT5ixQZnyTJ0VT9xq+xA==
X-Received: by 2002:a1c:480a:: with SMTP id v10mr16129664wma.120.1562579978781; 
 Mon, 08 Jul 2019 02:59:38 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.38
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:38 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 17/31] gnu: texinfo-5: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:58:59 +0200
Message-Id: <20190708095913.3460-18-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: From: Pierre-Moana Levesque * gnu/packages/texinfo.scm
 (texinfo-5)[native-inputs]:
 Keep native-inputs from inherited package texinfo. ---
 gnu/packages/texinfo.scm
 | 4 ++-- 1 file changed, 2 insertions(+), 2 deletions(-) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: netris.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.66 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

From: Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>

* gnu/packages/texinfo.scm (texinfo-5)[native-inputs]: Keep
native-inputs from inherited package texinfo.
---
 gnu/packages/texinfo.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/texinfo.scm b/gnu/packages/texinfo.scm
index 36bb9132d9..9ec6685d68 100644
--- a/gnu/packages/texinfo.scm
+++ b/gnu/packages/texinfo.scm
@@ -3,6 +3,7 @@
 ;;; Copyright © 2014, 2016 Eric Bavier <bavier@HIDDEN>
 ;;; Copyright © 2015 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2017 Efraim Flashner <efraim@HIDDEN>
+;;; Copyright © 2019 Pierre-Moana Levesque <pierre.moana.levesque@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -92,8 +93,7 @@ is on expressing the content semantically, avoiding physical markup commands.")
               (patches (search-patches "texinfo-5-perl-compat.patch"))
               (sha256
                (base32
-                "1njfwh2z34r2c4r0iqa7v24wmjzvsfyz4vplzry8ln3479lfywal"))))
-    (native-inputs '())))
+                "1njfwh2z34r2c4r0iqa7v24wmjzvsfyz4vplzry8ln3479lfywal"))))))
 
 (define-public texinfo-4
   (package (inherit texinfo)
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:56 2019
Received: from localhost ([127.0.0.1]:57833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQRA-0004qN-1s
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:56 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:37233)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQy-0004ma-4S
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:44 -0400
Received: by mail-wm1-f47.google.com with SMTP id f17so15706290wme.2
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=cdktz/646Qgig/gTAHwYTMUiUjQY7smlZadvPf2oztc=;
 b=IM/pLNKlERy3EsBxIP9cJ0WQCzs4pZHrHoaFiJ0RPhCBjZY9zEgBi3C8x8Un4Mo5e8
 3YeDJOUJnAl95wgjfOlyPhJqRg39+X12zm9Y+sYe5OWpcQ3DNiXUW33f6tgTTLtlYiTw
 qMMxrtKVo1vUdP39YnoPN4Qa3RrX3IoewdTBNsNEN6CmbNHBPv9kcPV9oNbGeYZxUHwa
 b2Q8ovYtZOCTCQVw3dPsvkGqy3Ehgw3iEM7cjCcyrZn+aSPqKdO47oaM6m0Dp+e9l4j+
 7L6/Bhfzf4qY4Ys67lGwMmVqK+alsaL8GibZrPG1SM0ya3/COSaJicRGOtaUY/nF0KmA
 3M2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=cdktz/646Qgig/gTAHwYTMUiUjQY7smlZadvPf2oztc=;
 b=Vte/s/7HfAfqMN2659/7m8juayLqFzKf0C8u1s7mcZMxP8+lSMgVv1flrwstUt/nXM
 5EmeRi2Fncuc8b180/yrxznjMzc1zFrDb5PD5I201oZcpn2DJ8ZcfXO5Ra9F2AgyH43V
 qvx5YT2Yz36RpbdPx1RIi04P2Ps/+AllQFl9IkwzdY47n7wpaBB+3q9yJClqJaaZ6sq5
 rN8x5bp3Y01DMwAnFzLXcJjGO+y6NVMAZJprcOss6rbbnY9aBF5xBUpbwuDYkAIUId0U
 nxE5pLxJxpXPk1FDJbb0HFN7+EBkkZqeW1eK4HxG+ELDrhlVSCZLHZHNFiiD/nh5mgzu
 KWXg==
X-Gm-Message-State: APjAAAX0Li4/x6JusfyNmeneLJkoCv1slOroGIGE2sReTiY5csbwOe6a
 dc+5fFF8MsRHsFjHxkai4kJfCDKF
X-Google-Smtp-Source: APXvYqy+ssPmguv+l5C9YLSrKTHcO4gEp0pXHAqGahPuWsdLKgfuhyCH1uaYea8Tk965iLnc+B+rkA==
X-Received: by 2002:a1c:d107:: with SMTP id i7mr17105383wmg.92.1562579978167; 
 Mon, 08 Jul 2019 02:59:38 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.37
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:37 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 16/31] gnu: groff: Fix cross compilation.
Date: Mon,  8 Jul 2019 11:58:58 +0200
Message-Id: <20190708095913.3460-17-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/groff.scm (groff)[arguments]: Replace build
 phase to pass GROFF_BIN_PATH and GROFFBIN variables when cross-compiling.
 Also add native groff as a native-input when cross-compiling. ---
 gnu/packages/groff.scm
 | 40 +++++++++++++++++++++++++++++++++++++--- 1 file changed, 37 insertions(+),
 3 deletions(-) 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: netris.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.47 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.47 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/groff.scm (groff)[arguments]: Replace build phase to pass
GROFF_BIN_PATH and GROFFBIN variables when cross-compiling.

Also add native groff as a native-input when cross-compiling.
---
 gnu/packages/groff.scm | 40 +++++++++++++++++++++++++++++++++++++---
 1 file changed, 37 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/groff.scm b/gnu/packages/groff.scm
index cf392f5468..27f796eb98 100644
--- a/gnu/packages/groff.scm
+++ b/gnu/packages/groff.scm
@@ -3,6 +3,7 @@
 ;;; Copyright © 2014 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright © 2016 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2017 Ludovic Courtès <ludo@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -54,7 +55,13 @@
    ;; from 'inputs'.
 
    (inputs `(("ghostscript" ,ghostscript)))
-   (native-inputs `(("bison" ,bison)
+
+   ;; When cross-compiling, this package depends upon a native install of
+   ;; itself.
+   (native-inputs `(,@(if (%current-target-system)
+                          `(("self" ,this-package))
+                          '())
+                    ("bison" ,bison)
                     ("perl" ,perl)
                     ("psutils" ,psutils)
                     ("texinfo" ,texinfo)))
@@ -65,7 +72,33 @@
         (add-after 'unpack 'setenv
           (lambda _
             (setenv "GS_GENERATE_UUIDS" "0")
-            #t)))))
+            #t))
+        ,@(if (%current-target-system)
+              '((replace 'build
+                   (lambda* (#:key
+                             make-flags parallel-build?
+                             native-inputs target #:allow-other-keys)
+                     ;; When cross-compiling, native groff is needed, see:
+                     ;; http://www.mail-archive.com/bug-groff@HIDDEN/msg01335.html
+                     (let ((parallel
+                            (if parallel-build?
+                                `("-j" ,(number->string (parallel-job-count)))
+                                '()))
+                           (flags
+                            (if target
+                                (let ((groff (or
+                                              (assoc-ref native-inputs "groff")
+                                              (assoc-ref native-inputs "self"))))
+                                  (append
+                                   make-flags
+                                   (list
+                                    (string-append "GROFF_BIN_PATH=" groff)
+                                    (string-append "GROFFBIN=" groff
+                                                   "/bin/groff"))))
+                                make-flags)))
+                       (apply invoke `("make" ,@parallel ,@flags)))
+                     #t)))
+              '()))))
    (synopsis "Typesetting from plain text mixed with formatting commands")
    (description
     "Groff is a typesetting package that reads plain text and produces
@@ -86,7 +119,8 @@ is usually the formatter of \"man\" documentation pages.")
     ;; Omit the DVI, PS, PDF, and HTML backends.
     (inputs '())
     (native-inputs `(("bison" ,bison)
-                     ("perl" ,perl)))
+                     ("perl" ,perl)
+                     ("groff" ,groff)))
 
     (arguments
      `(#:disallowed-references (,perl)
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:51 2019
Received: from localhost ([127.0.0.1]:57824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR4-0004pS-Df
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:50 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:38204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQx-0004mJ-4Q
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:43 -0400
Received: by mail-wm1-f45.google.com with SMTP id s15so15722096wmj.3
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=KGFaXrkf342enjs0UmD4VjtVc1/tlgyMeICziS0N2dc=;
 b=i8cbESkEKy2G+byVjoKHCZXsevzZPsop4DhscCrrta3WaI7eGjFuiEROHcfMNHZR1J
 NrY8E32HOgy1AgJE/pF1nng40HHoeNc7ZrwYVDuVIGYOO/bbBhRsdWvS2dm2/pNDmBtb
 aBfEbaNftCD4b60ysKKNy/6XG0pK35Df2kjnEbWAdP0NNv1QxFQ8YPi+ykcOhB9HbLaD
 qi7S4eiizyYjZXpQmULgERCCGXR5FkoRzcw28KCSphGsad1A25a+QSh1AfIgSdwL5EEt
 hLKjkxs585/OPW0CTMKLqTB+cqIpANoOsn6m6D50rcrUrIqELwWn3VGUnVEdTKYmEAxg
 JNQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=KGFaXrkf342enjs0UmD4VjtVc1/tlgyMeICziS0N2dc=;
 b=jzclwlq+0B7WfQpeFWfLFSjy01r6wddqXCWnk2BDj2/kbvzgkgVDqXC8e+lhZV4rTo
 H+da2zSxHBhZd8RVQOL/sjFACkrDZbwEQuzAyo0IrdKYX+wY7+KxGyFlwvMh4YzFxwAq
 eNcRs151/0G45dqIINrjFpcMYdsU4Y/vb4lbUeUrmS6I6BQROPPxz0p3R6svqB6sFXAw
 RH4X1MM06O2zxuh5dYnTZ0WlIeVgV1jlId3Osb4LyHcnFnIujgQa9Be8PXzzVFjwr5br
 jSS+j1ccnd0B4x2SaoRq4l4UxfASxWDJDeu0UyIpomsnlPzgUa7t0hTXC0jXOVwI5DjP
 HwaA==
X-Gm-Message-State: APjAAAV2Hn4Su6U2SSdS0WiWErTHp7lQ5OPLiQP3RBQlG8o170S5z+CX
 jo/hIT5UeAm0bsmIJHpsBZM+4eQY
X-Google-Smtp-Source: APXvYqz/bXuEKFKJNNau6LSUt+e6DYey3sJoF7gcRN7r0zj2qX/TxWndyWztsUVZXdH3HaRp8LBQ/Q==
X-Received: by 2002:a1c:1bd7:: with SMTP id b206mr11335565wmb.85.1562579977250; 
 Mon, 08 Jul 2019 02:59:37 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.36
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:36 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 15/31] gnu: libpaper: Fix aarch64 cross-compilation.
Date: Mon,  8 Jul 2019 11:58:57 +0200
Message-Id: <20190708095913.3460-16-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The packaged config.sub and config.guess do not have aarch64
 support. Replace them by the ones from automake. *
 gnu/packages/ghostscript.scm
 (libpaper)[arguments]: Replace outdated config.sub and config.guess, taken
 from ... [native-inputs]: ... here,
 by adding automake. --- gnu/packages/ghostscript.scm | 19 [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: fastmail.com]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.45 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

The packaged config.sub and config.guess do not have aarch64 support. Replace
them by the ones from automake.

* gnu/packages/ghostscript.scm (libpaper)[arguments]: Replace outdated config.sub and
config.guess, taken from ...
[native-inputs]: ... here, by adding automake.
---
 gnu/packages/ghostscript.scm | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

diff --git a/gnu/packages/ghostscript.scm b/gnu/packages/ghostscript.scm
index 53a9b60fdb..ad035170a2 100644
--- a/gnu/packages/ghostscript.scm
+++ b/gnu/packages/ghostscript.scm
@@ -8,6 +8,7 @@
 ;;; Copyright © 2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -91,6 +92,24 @@ Consortium standard (ICC), approved as ISO 15076-1.")
             (sha256 (base32
                      "0zhcx67afb6b5r936w5jmaydj3ks8zh83n9rm5sv3m3k8q8jib1q"))))
    (build-system gnu-build-system)
+   (native-inputs
+    `(("automake" ,automake))) ; For up to date 'config.guess' and 'config.sub'.
+   (arguments
+    `(#:phases
+      (modify-phases %standard-phases
+        (add-after 'unpack 'fix-configure
+          (lambda* (#:key inputs native-inputs #:allow-other-keys)
+            ;; Replace outdated config.sub and config.guess:
+            (for-each (lambda (file)
+                        (install-file
+                         (string-append (assoc-ref
+                                         (or native-inputs inputs) "automake")
+                                        "/share/automake-"
+                                        ,(version-major+minor
+                                          (package-version automake))
+                                        "/" file) "."))
+                      '("config.sub" "config.guess"))
+            #t)))))
    (synopsis "Library for handling paper sizes")
    (description
     "The paper library and accompanying files are intended to provide a simple
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:50 2019
Received: from localhost ([127.0.0.1]:57822 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR3-0004pA-QH
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:50 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:45895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQw-0004m0-D3
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:43 -0400
Received: by mail-wr1-f41.google.com with SMTP id f9so16305219wre.12
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=VlSnbutAM6FLnZwejy0Rd/fXSAj6ty+f8m0OjbQ5QKw=;
 b=e0BLG2Vpp6XG0SkVvn/50hz8uOJNJpjGrBjrb+TwwbURlKMbMh7xfa1IgnvMnPPB51
 /ob1Eq7pa2DA+Ql+EY0TMgPVHJcz53Zf8zp1npN7rtTj4m5TVu6Upqnj0t0VcLc7vYwz
 mswiEhQhgahMSuoPSG5/pgyBmp2IYb210TfeDSYq/PZBhivENhtomLhUR4fFjgTzRrmb
 jmDeqWfU93k22VFDfoLvb21fl43hRkO4Dq/VzfECNIXsFNqTegTiZdZC+hAMvFGcnurg
 tdOeDmsnARtwVC6hTIHVEtLn8WPI/UrFB0dW6dg+o//zMG83cFhaOLu5g0u17DRc9PnC
 b6JQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=VlSnbutAM6FLnZwejy0Rd/fXSAj6ty+f8m0OjbQ5QKw=;
 b=M0vhmUrzdAOG7cmPTncXANN/282kL7tOK7t3k32lZzuN4wPurTQrpF4dQ6y/FbEHfE
 AupON2vO2Jjh/tATiAc/D4kSq6Ons/jYigyuAT8qVQj7c9QTvaR9OqpuDIO9tLFcJD0I
 0t2X8bITubH3E3ZiDkOzU6eywAEeeNX+8PinlXtpY7Jp3HY8YqhYzKLZMDFvfI9BmBVo
 4IwrB7fdNDP6jJSw+jXST7jxp7wjtR9GjaEyHds54Xv3t3k6DFRR7EkSnaaFkq+tyBWD
 tgjQRIzkiIHLG/DPp5DgUT8N7vPg3uWlNXpTL1AA7twNLGlARywacYtjNib3aNnB9sG3
 ykIw==
X-Gm-Message-State: APjAAAXn3YIG+RyXOo/AyDzCa7J1jqh78jt+TTipnnT8KZdFczO7Ewnv
 Fcro74lkUCM3KTzG1ydpjiIkCie3
X-Google-Smtp-Source: APXvYqxgaljiPDiFZnF1C3dvQPT6VVqP/geD0PxHHMOaniRhnGBueJ5zcHFooraMbOr3YAM384oEPw==
X-Received: by 2002:adf:fdcc:: with SMTP id i12mr14031162wrs.88.1562579976306; 
 Mon, 08 Jul 2019 02:59:36 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.35
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:35 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 14/31] gnu: ath9k-htc-firmware: Fix cross compilation.
Date: Mon,  8 Jul 2019 11:58:56 +0200
Message-Id: <20190708095913.3460-15-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/firmware.scm (ath9k-htc-firmware)[phases]:
 Search for "cross-gcc" in native-inputs and inputs in "configure" phase. ---
 gnu/packages/firmware.scm | 5 +++-- 1 file changed, 3 insertions( [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: flashner.co.il]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.41 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/firmware.scm (ath9k-htc-firmware)[phases]: Search for
"cross-gcc" in native-inputs and inputs in "configure" phase.
---
 gnu/packages/firmware.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/firmware.scm b/gnu/packages/firmware.scm
index 90cb8845cf..e72a8d2cbd 100644
--- a/gnu/packages/firmware.scm
+++ b/gnu/packages/firmware.scm
@@ -5,6 +5,7 @@
 ;;; Copyright © 2017, 2018 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Vagrant Cascadian <vagrant@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -59,7 +60,7 @@
      '(#:phases
        (modify-phases %standard-phases
          (add-before 'configure 'pre-configure
-           (lambda* (#:key inputs #:allow-other-keys)
+           (lambda* (#:key inputs native-inputs #:allow-other-keys)
              (chdir "target_firmware")
 
              ;; 'configure' is a simple script that runs 'cmake' with
@@ -67,7 +68,7 @@
              (substitute* "configure"
                (("^TOOLCHAIN=.*$")
                 (string-append "TOOLCHAIN="
-                               (assoc-ref inputs "cross-gcc")
+                               (assoc-ref (or native-inputs inputs) "cross-gcc")
                                "\n")))
              #t))
          (replace 'install
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:49 2019
Received: from localhost ([127.0.0.1]:57819 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR3-0004p0-7C
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:49 -0400
Received: from mail-wm1-f44.google.com ([209.85.128.44]:37224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQv-0004ls-DB
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:42 -0400
Received: by mail-wm1-f44.google.com with SMTP id f17so15706144wme.2
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=YfHtPssIiGkUPzH09rjZOx/HVJGAXh9FPXLWjE/0x7w=;
 b=nB91FOyM5FwuCIQkL+wWVvZMEsbdmquRMPKaC/wD75bGvDWKr/sULBy6GzpjedwW8J
 EHBdT5C3Ai5uUMErGRY9gJ0bVdRCuoN7z84HD6ooJfHFPWbMBYEagKOlIazXgNE0uj9x
 tUsxgSpSv90RTLt7UlPOmaR24qjF4D7ct9aFmVP2pC5rMLitOs6sGpD00hcd2cydpfCD
 ddg9zFpgOU8kE0DHClBVpIYE2bsVKnu4YfInueaVbWa83RM8DtBcmY9epJkQbsSMlOy/
 x+nIvLQ4QMBfGhWKqCzV9Qif8bOrcxNGZz1ma5tU2POYIt8zNDnok4yDb9eBOMvX3xCM
 4AAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=YfHtPssIiGkUPzH09rjZOx/HVJGAXh9FPXLWjE/0x7w=;
 b=NVyHU5J66VtA8zYrXFZHPsDQD48NmP5Te7ZTBQuJNVea0vWZvlsE+jKm5oP571mzRp
 po/WlqsaC9BmGCtKY653uKiCliQzuipcLQIYGeG2rbh4gdsG2erKyKmy/p4/5TljkTwd
 e/F8+elTRi9txOfWjONL8LljN1d+ZUZRTZuQcFr53+TMQW/PxsAzFnS/yvNGr42mCHOz
 iIrLU+Hdr7HdJJmlqiErK7qscYZ0es11vwdnMDCmKSt8BivjIhAy47zz4O26quWgMVnA
 wGTt+lgjk4YB+te/18YapFgZIwlC24WyR2prDpiV0e6XDOXCEOJkhkVazd/vdv7mnz0k
 Ozuw==
X-Gm-Message-State: APjAAAVGAQ/0pEDBdelYodBNSBfempYDICHqJz5YlaFHPKq1iKek+3gP
 Up7QwfHi27eF03DaQ8+GXcxqNh3w
X-Google-Smtp-Source: APXvYqwNkNUb4vXkbTk+Vtb2oqHA9XYZtD645R45QHtZTgO63xuhG1eNA1uw/QO2ogcSF2ILA4Gm1w==
X-Received: by 2002:a1c:1a4c:: with SMTP id a73mr11754317wma.109.1562579975431; 
 Mon, 08 Jul 2019 02:59:35 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.34
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:34 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 13/31] gnu: libgit2: Fix cross compilation.
Date: Mon,  8 Jul 2019 11:58:55 +0200
Message-Id: <20190708095913.3460-14-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/version-control.scm (libgit2)[arguments]: Set
 PKG_CONFIG_EXECUTABLE variable when cross-compiling. Also do not run test
 suite if cross-compiling. --- gnu/packages/version-control.scm | [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.44 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.44 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/version-control.scm (libgit2)[arguments]: Set
PKG_CONFIG_EXECUTABLE variable when cross-compiling.
Also do not run test suite if cross-compiling.
---
 gnu/packages/version-control.scm | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index 8effe1d502..ca5a019105 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -545,7 +545,14 @@ everything from small to very large projects with speed and efficiency.")
     (build-system cmake-build-system)
     (outputs '("out" "debug"))
     (arguments
-     `(#:configure-flags '("-DUSE_SHA1DC=ON") ; SHA-1 collision detection
+     `(#:configure-flags
+       (list "-DUSE_SHA1DC=ON"  ; SHA-1 collision detection
+             ,@(if (%current-target-system)
+                   `((string-append
+                      "-DPKG_CONFIG_EXECUTABLE="
+                      (assoc-ref %build-inputs "pkg-config")
+                      "/bin/" ,(%current-target-system) "-pkg-config"))
+                   '()))
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'fix-hardcoded-paths
@@ -560,9 +567,12 @@ everything from small to very large projects with speed and efficiency.")
            (lambda _
              (for-each make-file-writable (find-files "."))
              #t))
-         ;; Run checks more verbosely.
+         ;; Run checks more verbosely, unless we are cross-compiling.
          (replace 'check
-           (lambda _ (invoke "./libgit2_clar" "-v" "-Q"))))))
+           (lambda _
+             ,@(if (%current-target-system)
+                   '(#t)
+                   '((invoke "./libgit2_clar" "-v" "-Q"))))))))
     (inputs
      `(("libssh2" ,libssh2)
        ("http-parser" ,http-parser)))
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:49 2019
Received: from localhost ([127.0.0.1]:57816 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR2-0004om-Pa
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:49 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:36838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQu-0004ll-MQ
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:41 -0400
Received: by mail-wm1-f46.google.com with SMTP id g67so9513795wme.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=06Lt6p14Eyt6y6gzYLhY9Y7tgxq3wHN4kRpx1pHnoys=;
 b=bcwT7/dGqimWR7X5GaBhKpkI1Ony8uWTLOCSJne3CMfiXMSETYAT9uCkl9RdvgFK2b
 deI5WvCNDHbkkL65AF+bj//8skTDJuUHis6E0V9SNRCku87ZoCSh4nvR6y90vaFVL0tx
 P3tee1G09LR78w7JUMces+EqWIFRyisSRA/LcTneHTq+GMTsqJ89w2Nz4XpyzxZHSnI2
 6vGHH100yJ8URrsE5NjgrXvuHTwTyIqzGqaAw6R+x7vGxvgOGlBc8GIIcr+FXqhb8wpi
 35+nqA+wcJTnCKcqIQYvoQ5c1q+L3B2J+2t6hHkOInXz6scieDyEHrgXxTCFInif1n3P
 ocag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=06Lt6p14Eyt6y6gzYLhY9Y7tgxq3wHN4kRpx1pHnoys=;
 b=c0istbiiK918lHdsHVldDKY5idhyO3WEx9+d1BSd5dmRUmdGJEownq81j3HGpMXY1y
 +xCb72b0vmkYwyHXw0cwsiWgufrc82S1JYtlSr7Bf2a/Wd4SVX5jkZJis8LHod8/HuPY
 sSqc/ZBExVhLRcBz0cG7wpQy/4sigrPm/85LfhKlrKN4a9T8P2D7G4RsB66VZPLIsqLA
 TYaiPzTmRQHQrA5u4kzS2QxMDyWuRdKtRGabcz32GAUrOhbLDY80V66lzNud2hoGEOv5
 5J/YyGyT02StfrfceqdJBf6CV+fzlsXcWYMFkMwtkvTU6GLtPULxSmANmD8e7sZgyGGN
 pa/Q==
X-Gm-Message-State: APjAAAXr+Y83eDVkJyyjL/oIjiNOmZZ5DnPG7wRXDaCXqZXS0iWrCXTA
 D6RYzp3sGDY3fU06C9Hkd2+kVPo5
X-Google-Smtp-Source: APXvYqyxmaHVAyP+2XhcohpiNnjNQS/8tfsz5VCkiUNBoljGl/RyLs3i8srhxjgdI8AwV79tJbsAww==
X-Received: by 2002:a1c:b457:: with SMTP id d84mr17171974wmf.153.1562579974630; 
 Mon, 08 Jul 2019 02:59:34 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.33
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:33 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 12/31] gnu: cmake: Extend CMAKE_PREFIX_PATH to non-native
 inputs.
Date: Mon,  8 Jul 2019 11:58:54 +0200
Message-Id: <20190708095913.3460-13-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/cmake.scm (cmake)[native-search-paths]: Turn
 to search-paths. This allows libraries using cmake functions "find_file"
 or "find_library" to search in non-native inputs while cross-compil [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.46 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/cmake.scm (cmake)[native-search-paths]: Turn to search-paths.
This allows libraries using cmake functions "find_file" or "find_library" to
search in non-native inputs while cross-compiling.
---
 gnu/packages/cmake.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/cmake.scm b/gnu/packages/cmake.scm
index 7186cf98df..3969d309af 100644
--- a/gnu/packages/cmake.scm
+++ b/gnu/packages/cmake.scm
@@ -147,7 +147,7 @@
        ("ncurses" ,ncurses) ; required for ccmake
        ("rhash" ,rhash)
        ("zlib" ,zlib)))
-    (native-search-paths
+    (search-paths
      (list (search-path-specification
             (variable "CMAKE_PREFIX_PATH")
             (files '("")))))
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:48 2019
Received: from localhost ([127.0.0.1]:57814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR2-0004of-Ck
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:48 -0400
Received: from mail-wr1-f68.google.com ([209.85.221.68]:43068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQu-0004le-0g
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:40 -0400
Received: by mail-wr1-f68.google.com with SMTP id p13so16307778wru.10
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=DOxMSgg2WGPwxlricP6bTgOv198KMI+3refWBLSNE7U=;
 b=CG/C/m1aHNNK+kWhBXK9WgyFyBiM76npoCtxFUYOcCKTWMbttquVLSNcoh9ZCWSo47
 /A5KUs2jslm2IcEv4hZ4EbODISeJowZL5BDybM2Uz0hu8bBGKXoxGwqR3Vb69XDfZdZz
 6uDQR20l4PeO4tDGHd4v071gOMLUQ+fYoNCKVjuVhw9H7ZIq6Ev6IPYLxJeat6ZYDawh
 EvOj7ci9b/jBGYn2ZX2V27zM4G5kx/ZJe3N0ZUbRO4K3zqStzIslmlSviRWgbUd6EF/Y
 BlusSG/cBSDp6In4Hc5+nTUfPqTa9OnhAdZ8FQlHuM7Lz1fbNh/K25f0nuBdIAb9sM8v
 W9rg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=DOxMSgg2WGPwxlricP6bTgOv198KMI+3refWBLSNE7U=;
 b=DfDXZ3dpqw53jvmEhEgeCoNNgg97MioE0A/w0H4hVfMx+Zn7rKEG18SkdQqqWAO3Ct
 zx/jJkmroIceqMjNbYkTy81Y24gJcXDhVYM/wr++7tQcfmru/mYX+ZQS0KZMcM+wAB3P
 8J7LBQfuqeATQNupBbPD7M+cK1HgAQanR4TbE8+OLp+rN8z/aX1h40GYPZVO+9TWXAO5
 W6EHnQIJbfbscwzZPMRfSxO3VSIAHeqd6na7by1nJFLtLDfWGv+3Y+F8lez1LpCxwbXS
 h2oaNgfqHVO65OmQr+aYIf3M1MPgK8K7uU8BG1BmhgqrVNIS8EjqaMlDAMSv7+7/iU6i
 TCfA==
X-Gm-Message-State: APjAAAVrb73q1RrYbfVFmdmTMAhW+Ns55KfQlyv5KUUL4ivzzCrFVMoS
 cbHF4xI9A4Hvftzwi5xT3cft1IbF
X-Google-Smtp-Source: APXvYqxaeqo++zlbjIC3Nx7shM7Ehi/vu6uqzjfdVcCBf/5kanYWvG5xEtuO/T82Y04k3lUHN/Tzsw==
X-Received: by 2002:adf:e705:: with SMTP id c5mr18675581wrm.270.1562579973729; 
 Mon, 08 Jul 2019 02:59:33 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.32
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:33 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 11/31] gnu: texinfo: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:58:53 +0200
Message-Id: <20190708095913.3460-12-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/texinfo.scm (texinfo)[arguments]: Do not reset
 environment before running configure with the native compiler,
 in a cross-compilation
 context, [inputs]: move perl from here ... [native-i [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.68 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.68 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/texinfo.scm (texinfo)[arguments]: Do not reset environment
before running configure with the native compiler, in a cross-compilation
context,
[inputs]: move perl from here ...
[native-inputs]: ... to here. Also add ncurses that is needed in a
cross-compilation context to build texinfo native tools.
---
 gnu/packages/texinfo.scm | 24 ++++++++++++++++++++++--
 1 file changed, 22 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/texinfo.scm b/gnu/packages/texinfo.scm
index fa98bd56b8..36bb9132d9 100644
--- a/gnu/packages/texinfo.scm
+++ b/gnu/packages/texinfo.scm
@@ -42,8 +42,28 @@
                (base32
                 "0qjzvbvnv9003xdrcpi3jp7y68j4hq2ciw9frh2hghh698zlnxvp"))))
     (build-system gnu-build-system)
-    (inputs `(("ncurses" ,ncurses)
-              ("perl" ,perl)))
+    (arguments
+     ;; When cross-compiling, the package is configured twice: once with the
+     ;; native compiler and once with the cross-compiler. During the configure
+     ;; with the native compiler, the environment is reset. This leads to
+     ;; multiple environment variables missing. Do not reset the environment
+     ;; to prevent that.
+     `(,@(if (%current-target-system)
+             '(#:phases
+               (modify-phases %standard-phases
+                 (add-before 'configure 'fix-cross-configure
+                   (lambda _
+                     (substitute* "configure"
+                       (("env -i")
+                        "env "))
+                     #t))))
+             '())))
+    (inputs `(("ncurses" ,ncurses)))
+    ;; When cross-compiling, texinfo will build some of it's own binaries with
+    ;; the native compiler. This means ncurses is needed both in both inputs
+    ;; and native-inputs.
+    (native-inputs `(("perl" ,perl)
+                     ("ncurses" ,ncurses)))
 
     (native-search-paths
      ;; This is the variable used by the standalone Info reader.
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:48 2019
Received: from localhost ([127.0.0.1]:57811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQR1-0004oR-Mr
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:48 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:40009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQs-0004lX-Ui
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:39 -0400
Received: by mail-wm1-f47.google.com with SMTP id v19so15685663wmj.5
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ZJuO8PUotTCvIPM3P3rGtGyscxUi8663m64WrGQJlqk=;
 b=VTIKmx6C9KgiHO3rG2C1OOAH+pznGcgi6NdsvJ8F+vP9wkFR+H/B9qEg868lotiRCN
 DnQxAFFBLxjEXKd9Avg+yoEUG8bTrcPoHV/9nM8GjsjvLERrrwf53einrMLA7/QUnksz
 UVGbdmGvdAck4QUgOiqcUpnVviBMKEYenzLXrRmUkpPb6zLp+XMZWh8LbdeOz3rNefUH
 DPo2CZyiaofnwfexK/vDDHtT9g+sjBT+pc+aRWkNPQFXe38+mwakLeIHZA8IcEE9qUJg
 /kKfCgJ6YHBKTtkhSdPPrrii9UeaiNxODQWjFFbEnw7/GcfjFEVc87/7zgq3QtvXqlwZ
 c3og==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ZJuO8PUotTCvIPM3P3rGtGyscxUi8663m64WrGQJlqk=;
 b=OPiT6/kf4bD8ALmRIWkBiCb2OTRf/7FT2hu0SQlnBq44kusNf6V1DmICvqt04LjXRi
 aJfPlMKQOHfPWniNjYTVxZyeF7zBHrXq1UKYRrCI2h1fcTXcAC1DKWqnDlwQgYoTw1mF
 FMVFODgovf2yRvji6/chsMcVgkJtvltJlDb6fMQufCnxfs+W793fu7i2LRHPp0a21IgP
 09kqtRhAVaiZLPwXVeoBNk2LkNwlxpWwEgaEg+ZBvF0qSknmsf812dIVn3fLmMZ6xtb+
 D2DNOt+XJgrv9ASiyo7EOBk6TWOjf6Y6s0ti5gn5srKsxyKdN3KPPtLvlfLHhX9/OWHu
 hS4w==
X-Gm-Message-State: APjAAAUPb89KwZ8JRntZiyLmN+5JvE0Bjontv7wiT2ErE0J1w3lXODhY
 mFl7BpsXWgklyNzCF6IIT/R9NpMK
X-Google-Smtp-Source: APXvYqxld/b6yRmclRNUXz0Cyqi1THDPPIbhKT/FTFa9gap4gm3jxinzSuJt7BKLu53Y6/M1kwJlOw==
X-Received: by 2002:a1c:630a:: with SMTP id x10mr16976664wmb.113.1562579972909; 
 Mon, 08 Jul 2019 02:59:32 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.31
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 10/31] gnu: openssl: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:58:52 +0200
Message-Id: <20190708095913.3460-11-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/tls.scm (openssl-next)[arguments]: Pass
 CROSS_COMPILE
 environment variable and target system to configure script. ---
 gnu/packages/tls.scm
 | 59 +++++++++++++++++++++++++++++++++-------- [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: tobias.gr]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.47 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.47 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/tls.scm (openssl-next)[arguments]: Pass CROSS_COMPILE
environment variable and target system to configure script.
---
 gnu/packages/tls.scm | 59 +++++++++++++++++++++++++++++++++-----------
 1 file changed, 45 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index 8e20101e51..4e269bcc8c 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -13,6 +13,7 @@
 ;;; Copyright © 2017, 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Rutger Helling <rhelling@HIDDEN>
 ;;; Copyright © 2018 Clément Lassieur <clement@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -310,11 +311,31 @@ required structures.")
                (("^MANDIR[[:blank:]]*=.*$")
                 (string-append "MANDIR = " out "/share/man\n")))
              #t)))
+        ,@(if (%current-target-system)
+              '((add-before
+                    'configure 'set-cross-compile
+                  (lambda* (#:key target outputs #:allow-other-keys)
+                    (setenv "CROSS_COMPILE" (string-append target "-"))
+                    (setenv "CONFIGURE_TARGET_ARCH"
+                            (cond
+                             ((string-prefix? "i686" target)
+                              "linux-x86")
+                             ((string-prefix? "x86_64" target)
+                              "linux-x86_64")
+                             ((string-prefix? "armhf" target)
+                              "linux-armv4")
+                             ((string-prefix? "aarch64" target)
+                              "linux-aarch64")))
+                    #t)))
+              '())
         (replace
          'configure
          (lambda* (#:key outputs #:allow-other-keys)
            (let ((out (assoc-ref outputs "out")))
-             (invoke "./config"
+             (invoke
+              ,@(if (%current-target-system)
+                    '("./Configure")
+                    '("./config"))
                      "shared"                 ;build shared libraries
                      "--libdir=lib"
 
@@ -323,8 +344,11 @@ required structures.")
                      ;; conventional.
                      (string-append "--openssldir=" out
                                     "/share/openssl-" ,version)
+                     (string-append "--prefix=" out)
 
-                     (string-append "--prefix=" out)))))
+                     ,@(if (%current-target-system)
+                           '((getenv "CONFIGURE_TARGET_ARCH"))
+                           '())))))
         (add-after
          'install 'make-libraries-writable
          (lambda* (#:key outputs #:allow-other-keys)
@@ -444,18 +468,25 @@ required structures.")
                    (("/usr/bin/env")
                     (string-append (assoc-ref %build-inputs "coreutils")
                                    "/bin/env")))
-                 (invoke "./config"
-                         "shared"       ;build shared libraries
-                         "--libdir=lib"
-
-                         ;; The default for this catch-all directory is
-                         ;; PREFIX/ssl.  Change that to something more
-                         ;; conventional.
-                         (string-append "--openssldir=" out
-                                        "/share/openssl-" ,version)
-
-                         (string-append "--prefix=" out)
-                         (string-append "-Wl,-rpath," lib)))))
+                 (invoke
+                  ,@(if (%current-target-system)
+                        '("./Configure")
+                        '("./config"))
+                  "shared"       ;build shared libraries
+                  "--libdir=lib"
+
+                  ;; The default for this catch-all directory is
+                  ;; PREFIX/ssl.  Change that to something more
+                  ;; conventional.
+                  (string-append "--openssldir=" out
+                                 "/share/openssl-" ,version)
+
+                  (string-append "--prefix=" out)
+                  (string-append "-Wl,-rpath," lib)
+
+                  ,@(if (%current-target-system)
+                        '((getenv "CONFIGURE_TARGET_ARCH"))
+                        '())))))
 
            (delete 'move-man3-pages)
            (add-after 'install 'move-extra-documentation
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:47 2019
Received: from localhost ([127.0.0.1]:57806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQz-0004o2-6v
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:47 -0400
Received: from mail-wr1-f47.google.com ([209.85.221.47]:44410)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQr-0004l0-Fr
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:39 -0400
Received: by mail-wr1-f47.google.com with SMTP id p17so5159575wrf.11
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=73dNSE1+hnk27BFrNRLom3U7wlteDzL4U2G7PsrRl7I=;
 b=WFXGJx5mvjm0PgsxNEeQAO8LU05jpjZ0VndG36ith0Bgm/j4ksCPncphI3z9Km2Um/
 8U3rMT5D0i5LcDRkVEzW46oIic+XDoI6QwNwhjUA2lhy9x2OiyWcPNaW/F+dZXv++sG9
 pdRwz4J1xzRBUEYIwOxWUq9S1s486s1MuRjDsfQSM+c92pRw3blB+ht5pzLXX1ebcvoF
 aYorWievF5w/ErH05wX073gCfRsSql6e3wcGCWDCAgtLNKTl0qqdKPy2/VWQdiuch2ZO
 oDbKvA1FkwOcaFRrZBOBzLXKfSrO3KRt8qcaAL74wEXlZvjSDxOM7zGYLMB8l7XzU+Ol
 oKjg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=73dNSE1+hnk27BFrNRLom3U7wlteDzL4U2G7PsrRl7I=;
 b=E9rayAsVnDSTmhCv1wieqePneWaD72/3EE6svL0gUaxr8ANS+v/FmDg5gXKK4tssbY
 POVS9+PLvGxRSs2cZ/2fGhe5VxIrCdJmEBFiBOwN+mxX+0VqNON8/4O60v2sxWtDL3nc
 8KzDVKkC3+yB3k3b424VzjuoQjZVPvxa+lwXuyiYOn4PmPgjIaBtVrDewLQ8RcMQoS5h
 dW6y0nV3BKm7Ue8PDG+tcBb9blUX9j9VfsQx+xUcC+bXN8eP5RHHzOWwHbmKnl7+lsAo
 ejmi0cRAHA6Oy+Uu2GAtOMJaF62lRu6Zng70sveiOUaPBCvt/eKqMB5AxcNKaJPrNWPe
 6f/w==
X-Gm-Message-State: APjAAAV521qdV2lvIJx6mTyT9TNpeAgEqFlHM8C5SjwCyXvPKmzr6X/9
 LA0yjor1ehxhJQeJUKluTZp1JUZp
X-Google-Smtp-Source: APXvYqzUO+CaWLr+8FhM3T5OOrJfkiHwn8IALrwPv1rXh/LeCEUzAqjgsOy5p+pQm5Y9cCUBsAScrA==
X-Received: by 2002:adf:f8cf:: with SMTP id f15mr17751867wrq.333.1562579971168; 
 Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.30
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:30 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 08/31] gnu: python: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:58:50 +0200
Message-Id: <20190708095913.3460-9-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/patches/python-2.7-search-paths.patch: Add
 cross-compilation support. * gnu/packages/patches/python-3-search-paths.patch:
 Ditto. * gnu/packages/patches/python-cross-compile.patch: New p [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: local.mk]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.47 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/patches/python-2.7-search-paths.patch: Add cross-compilation
support.
* gnu/packages/patches/python-3-search-paths.patch: Ditto.
* gnu/packages/patches/python-cross-compile.patch: New patch.
* gnu/local.mk (dist_patch_DATA): Add above new patch.
* gnu/packages/python.scm (python-2.7)[patches]: Add new patch above,
[arguments]: Set _PYTHON_HOST_PLATFORM env variable when cross compiling.
---
 gnu/local.mk                                  |   1 +
 .../patches/python-2.7-search-paths.patch     |  10 +-
 .../patches/python-3-search-paths.patch       |  11 +-
 .../patches/python-cross-compile.patch        | 145 ++++++++++++++++++
 gnu/packages/python.scm                       |   6 +-
 5 files changed, 168 insertions(+), 5 deletions(-)
 create mode 100644 gnu/packages/patches/python-cross-compile.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 8be4d74dce..7d42202485 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1208,6 +1208,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/python-CVE-2018-14647.patch		\
   %D%/packages/patches/python-axolotl-AES-fix.patch		\
   %D%/packages/patches/python-cairocffi-dlopen-path.patch	\
+  %D%/packages/patches/python-cross-compile.patch		\
   %D%/packages/patches/python-cffi-x87-stack-clean.patch	\
   %D%/packages/patches/python-fix-tests.patch			\
   %D%/packages/patches/python2-larch-coverage-4.0a6-compatibility.patch \
diff --git a/gnu/packages/patches/python-2.7-search-paths.patch b/gnu/packages/patches/python-2.7-search-paths.patch
index ba7235df27..6457819b8a 100644
--- a/gnu/packages/patches/python-2.7-search-paths.patch
+++ b/gnu/packages/patches/python-2.7-search-paths.patch
@@ -3,13 +3,17 @@ looking for headers and libraries.
 
 --- Python-2.7.10/setup.py	2015-10-07 18:33:18.125153186 +0200
 +++ Python-2.7.10/setup.py	2015-10-07 18:33:47.497347552 +0200
-@@ -526,6 +526,10 @@ class PyBuildExt(build_ext):
+@@ -526,6 +526,14 @@ class PyBuildExt(build_ext):
              inc_dirs += ['/system/include', '/atheos/autolnk/include']
              inc_dirs += os.getenv('C_INCLUDE_PATH', '').split(os.pathsep)
  
 +        # Always honor these variables.
-+        lib_dirs += os.getenv('LIBRARY_PATH', '').split(os.pathsep)
-+        inc_dirs += os.getenv('C_INCLUDE_PATH', '').split(os.pathsep)
++        if not cross_compiling:
++            lib_dirs += os.getenv('LIBRARY_PATH', '').split(os.pathsep)
++            inc_dirs += os.getenv('C_INCLUDE_PATH', '').split(os.pathsep)
++        else:
++            lib_dirs = os.getenv('CROSS_LIBRARY_PATH', '').split(os.pathsep)
++            inc_dirs = os.getenv('CROSS_C_INCLUDE_PATH', '').split(os.pathsep)
 +
          # OSF/1 and Unixware have some stuff in /usr/ccs/lib (like -ldb)
          if host_platform in ['osf1', 'unixware7', 'openunix8']:
diff --git a/gnu/packages/patches/python-3-search-paths.patch b/gnu/packages/patches/python-3-search-paths.patch
index 73e3f4ccf5..70e6109f18 100644
--- a/gnu/packages/patches/python-3-search-paths.patch
+++ b/gnu/packages/patches/python-3-search-paths.patch
@@ -3,7 +3,7 @@ looking for headers and libraries.
 
 --- setup.py	2015-10-07 23:32:58.891329173 +0200
 +++ setup.py	2015-10-07 23:46:29.653349924 +0200
-@@ -575,8 +575,8 @@
+@@ -600,15 +600,15 @@
          # if a file is found in one of those directories, it can
          # be assumed that no additional -I,-L directives are needed.
          if not cross_compiling:
@@ -14,3 +14,12 @@ looking for headers and libraries.
          else:
              # Add the sysroot paths. 'sysroot' is a compiler option used to
              # set the logical path of the standard system headers and
+             # libraries.
+-            lib_dirs = (self.compiler.library_dirs +
++            lib_dirs = (os.getenv('CROSS_LIBRARY_PATH', '').split(os.pathsep) +
+                         sysroot_paths(('LDFLAGS', 'CC'), system_lib_dirs))
+-            inc_dirs = (self.compiler.include_dirs +
++            inc_dirs = (os.getenv('CROSS_C_INCLUDE_PATH', '').split(os.pathsep) +
+                         sysroot_paths(('CPPFLAGS', 'CFLAGS', 'CC'),
+                                       system_include_dirs))
+         exts = []
diff --git a/gnu/packages/patches/python-cross-compile.patch b/gnu/packages/patches/python-cross-compile.patch
new file mode 100644
index 0000000000..5a470e1852
--- /dev/null
+++ b/gnu/packages/patches/python-cross-compile.patch
@@ -0,0 +1,145 @@
+Patch taken from https://bugs.python.org/issue22724 and augmented with
+following Nix patch
+https://github.com/NixOS/nixpkgs/blob/master/pkgs/development/interpreters/python/cpython/2.7/cross-compile.patch
+to fix the whole cross-compilation circus.
+
+---
+ Makefile.pre.in | 14 +++++++-------
+ configure       |  5 ++++-
+ setup.py        |  9 ++++++---
+ 3 files changed, 17 insertions(+), 11 deletions(-)
+
+diff --git a/Makefile.pre.in b/Makefile.pre.in
+index 2a14f3323b..6239fc32fc 100644
+--- a/Makefile.pre.in
++++ b/Makefile.pre.in
+@@ -492,7 +492,7 @@ $(BUILDPYTHON):	Modules/python.o $(LIBRARY) $(LDLIBRARY)
+ 			$(BLDLIBRARY) $(LIBS) $(MODLIBS) $(SYSLIBS) $(LDLAST)
+ 
+ platform: $(BUILDPYTHON) pybuilddir.txt
+-	$(RUNSHARED) $(PYTHON_FOR_BUILD) -c 'import sys ; from sysconfig import get_platform ; print get_platform()+"-"+sys.version[0:3]' >platform
++	$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -c 'import sys ; from sysconfig import get_platform ; print get_platform()+"-"+sys.version[0:3]' >platform
+ 
+ # Create build directory and generate the sysconfig build-time data there.
+ # pybuilddir.txt contains the name of the build dir and is used for
+@@ -503,7 +503,7 @@ platform: $(BUILDPYTHON) pybuilddir.txt
+ # or removed in case of failure.
+ pybuilddir.txt: $(BUILDPYTHON)
+ 	@echo "none" > ./pybuilddir.txt
+-	$(RUNSHARED) $(PYTHON_FOR_BUILD) -S -m sysconfig --generate-posix-vars ;\
++	$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -S -m sysconfig --generate-posix-vars ;\
+ 	if test $$? -ne 0 ; then \
+ 		echo "generate-posix-vars failed" ; \
+ 		rm -f ./pybuilddir.txt ; \
+@@ -525,7 +525,7 @@ sharedmods: $(BUILDPYTHON) pybuilddir.txt Modules/_math.o
+ 	esac; \
+ 	$(RUNSHARED) CC='$(CC)' LDSHARED='$(BLDSHARED)' OPT='$(OPT)' \
+ 		_TCLTK_INCLUDES='$(TCLTK_INCLUDES)' _TCLTK_LIBS='$(TCLTK_LIBS)' \
+-		$(PYTHON_FOR_BUILD) $(srcdir)/setup.py $$quiet build
++		$(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) $(srcdir)/setup.py $$quiet build
+ 
+ # Build static library
+ # avoid long command lines, same as LIBRARY_OBJS
+@@ -928,7 +928,7 @@ install:	@FRAMEWORKINSTALLFIRST@ commoninstall bininstall maninstall @FRAMEWORKI
+ 			upgrade) ensurepip="--upgrade" ;; \
+ 			install|*) ensurepip="" ;; \
+ 		esac; \
+-		$(RUNSHARED) $(PYTHON_FOR_BUILD) -m ensurepip \
++		$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -m ensurepip \
+ 			$$ensurepip --root=$(DESTDIR)/ ; \
+ 	fi
+ 
+@@ -939,7 +939,7 @@ altinstall:	commoninstall
+ 			upgrade) ensurepip="--altinstall --upgrade --no-default-pip" ;; \
+ 			install|*) ensurepip="--altinstall --no-default-pip" ;; \
+ 		esac; \
+-		$(RUNSHARED) $(PYTHON_FOR_BUILD) -m ensurepip \
++		$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) -m ensurepip \
+ 			$$ensurepip --root=$(DESTDIR)/ ; \
+ 	fi
+ 
+@@ -1270,7 +1270,7 @@ libainstall:	@DEF_MAKE_RULE@ python-config
+ # Install the dynamically loadable modules
+ # This goes into $(exec_prefix)
+ sharedinstall: sharedmods
+-	$(RUNSHARED) $(PYTHON_FOR_BUILD) $(srcdir)/setup.py install \
++	$(RUNSHARED) $(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) $(srcdir)/setup.py install \
+ 	   	--prefix=$(prefix) \
+ 		--install-scripts=$(BINDIR) \
+ 		--install-platlib=$(DESTSHARED) \
+@@ -1344,7 +1344,7 @@ frameworkinstallextras:
+ # This installs a few of the useful scripts in Tools/scripts
+ scriptsinstall:
+ 	SRCDIR=$(srcdir) $(RUNSHARED) \
+-	$(PYTHON_FOR_BUILD) $(srcdir)/Tools/scripts/setup.py install \
++	$(PY_BUILD_ENVIRON) $(PYTHON_FOR_BUILD) $(srcdir)/Tools/scripts/setup.py install \
+ 	--prefix=$(prefix) \
+ 	--install-scripts=$(BINDIR) \
+ 	--root=$(DESTDIR)/
+diff --git a/configure b/configure
+index 67300fe2b6..6050f588c5 100755
+--- a/configure
++++ b/configure
+@@ -741,6 +741,7 @@ CONFIG_ARGS
+ SOVERSION
+ VERSION
+ PYTHON_FOR_BUILD
++PY_BUILD_ENVIRON
+ PYTHON_FOR_REGEN
+ host_os
+ host_vendor
+@@ -2964,7 +2965,8 @@ $as_echo_n "checking for python interpreter for cross build... " >&6; }
+ 	fi
+         { $as_echo "$as_me:${as_lineno-$LINENO}: result: $interp" >&5
+ $as_echo "$interp" >&6; }
+-	PYTHON_FOR_BUILD='_PYTHON_PROJECT_BASE=$(abs_builddir) _PYTHON_HOST_PLATFORM=$(_PYTHON_HOST_PLATFORM) PYTHONPATH=$(shell test -f pybuilddir.txt && echo $(abs_builddir)/`cat pybuilddir.txt`:)$(srcdir)/Lib:$(srcdir)/Lib/$(PLATDIR) '$interp
++	PY_BUILD_ENVIRON='_PYTHON_PROJECT_BASE=$(abs_builddir) _PYTHON_HOST_PLATFORM=$(_PYTHON_HOST_PLATFORM) PYTHONPATH=$(shell test -f pybuilddir.txt && echo $(abs_builddir)/`cat pybuilddir.txt`:)$(srcdir)/Lib:$(srcdir)/Lib/$(PLATDIR)'
++	PYTHON_FOR_BUILD=$interp
+     fi
+ elif test "$cross_compiling" = maybe; then
+     as_fn_error $? "Cross compiling required --host=HOST-TUPLE and --build=ARCH" "$LINENO" 5
+@@ -2974,6 +2976,7 @@ fi
+ 
+ 
+ 
++
+ if test "$prefix" != "/"; then
+     prefix=`echo "$prefix" | sed -e 's/\/$//g'`
+ fi
+diff --git a/setup.py b/setup.py
+index cb47a2339c..472e7e2b26 100644
+--- a/setup.py
++++ b/setup.py
+@@ -497,8 +497,6 @@ class PyBuildExt(build_ext):
+         if not cross_compiling:
+             add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
+             add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
+-        if cross_compiling:
+-            self.add_gcc_paths()
+         self.add_multiarch_paths()
+ 
+         # Add paths specified in the environment variables LDFLAGS and
+@@ -556,7 +554,10 @@ class PyBuildExt(build_ext):
+         # be assumed that no additional -I,-L directives are needed.
+         inc_dirs = self.compiler.include_dirs[:]
+         lib_dirs = self.compiler.library_dirs[:]
+-        if not cross_compiling:
++        if cross_compiling:
++            inc_dirs = []
++            lib_dirs = []
++        else:
+             for d in (
+                 '/usr/include',
+                 ):
+@@ -621,6 +622,8 @@ class PyBuildExt(build_ext):
+         # Some modules that are normally always on:
+         #exts.append( Extension('_weakref', ['_weakref.c']) )
+ 
++        self.compiler.library_dirs = lib_dirs + [ '.' ]
++
+         # array objects
+         exts.append( Extension('array', ['arraymodule.c']) )
+ 
+-- 
+2.17.1
+
diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 1a8cd39de2..724260dabf 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -109,7 +109,8 @@
                                "python-2-deterministic-build-info.patch"
                                "python-2.7-site-prefixes.patch"
                                "python-2.7-source-date-epoch.patch"
-                               "python-2.7-adjust-tests.patch"))
+                               "python-2.7-adjust-tests.patch"
+                               "python-cross-compile.patch"))
       (modules '((guix build utils)))
       ;; suboptimal to delete failing tests here, but if we delete them in the
       ;; arguments then we need to make sure to strip out that phase when it
@@ -152,6 +153,9 @@
           (add-before
            'configure 'patch-lib-shells
            (lambda _
+             ,@(if (%current-target-system)
+                   '((setenv "_PYTHON_HOST_PLATFORM" ""))
+                   '())
              ;; Filter for existing files, since some may not exist in all
              ;; versions of python that are built with this recipe.
              (substitute* (filter file-exists?
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:45 2019
Received: from localhost ([127.0.0.1]:57803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQy-0004nt-H3
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:45 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:54898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQr-0004l7-N5
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:38 -0400
Received: by mail-wm1-f66.google.com with SMTP id p74so12044220wme.4
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=mlSeWXDT7I3fPFyuEJ8ThmxHr7oQlxWmMmSk8/j5YXM=;
 b=gvDlnwyBIm/bUA/l2FrhWSosxycVgTKWuVTOq/T/mBi3gZIGgbaQWCK5peRz15o6j8
 losbej/HzGmsIvvY/6DbtfTxyQMJLvI5D56knNN92mOhVPZT/fJ6/IGrTP2xXpk8I0HT
 3zQlrerCmoGBmsakeOVL/7yTxk+h/PeWcKqPINjbz9GUjhpwJDqM536nDOwfV25hJ6ff
 0IX1dcH2HABZhTYmsQWqOlNYyi98mcG3cnYOvicCu+UjSJEBclTUY6IaAWLPS6ulhEs5
 mb7hmpkMJkRQ4IzxLvZuGX9ZvTk5jaQ5+vmD+9EUrVISxo+GK428jfy9AqX24ezaGJ4S
 RdOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=mlSeWXDT7I3fPFyuEJ8ThmxHr7oQlxWmMmSk8/j5YXM=;
 b=IB2u+vG1IPyBvvwD+gfvQzc7wpYuyLn2sdVOAEj8DcwK1tuPXYaJb/twrr/pZKIglj
 ok0cQgkVHY+/HxC5INYWRNjiqaMMjpyWKLCJuRObXMgj2ZEfHom7ssgzNPolS2gpjXe1
 uoFjj7U8BanpXqCsi5i0M10pFvuB0GUYBUwRND989Y+G0Jc6Gl+Fqm1SBXZqHkXRVZaZ
 9s+MaYJRv3Yvqc6RThBA3BnJQof39BR7c29YhODJtgK/gEu4MQnvtXdhGTXxemVi8TYM
 p3dhPdCZfT4Me3LM/kS/oNBS4UiOToQLnDVWPBDCpM5EoB6qoCaEjeBf9xg74gIxp9ay
 srAg==
X-Gm-Message-State: APjAAAXeQX8hpbJyJDZs0Z+Vo2yvH93g3g+AiuGBETb40kPruvVUeW46
 R6/7NvEGfOGmUXpokNSssBrFnUYK
X-Google-Smtp-Source: APXvYqygGUy6YBEIbDF39uDTRWHQu3yyNXHCiGkBPPLIOc4Hypy5LGABpZTu3ZwE+Al7+0XWoNh/+A==
X-Received: by 2002:a05:600c:2503:: with SMTP id
 d3mr16579001wma.41.1562579971814; 
 Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.31
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 09/31] gnu: http-parser: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:58:51 +0200
Message-Id: <20190708095913.3460-10-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/web.scm (http-parser)[arguments]: Set CC and
 AR variables in Makefile in order to fix cross-compilation. ---
 gnu/packages/web.scm
 | 13 +++++++++++-- 1 file changed, 11 insertions(+), 2 [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ajgrf.com]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.66 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/web.scm (http-parser)[arguments]: Set CC and AR variables in
Makefile in order to fix cross-compilation.
---
 gnu/packages/web.scm | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 1d9190ef63..589997e832 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -33,6 +33,7 @@
 ;;; Copyright © 2019 Nicolas Goaziou <mail@HIDDEN>
 ;;; Copyright © 2019 Brendan Tildesley <mail@HIDDEN>
 ;;; Copyright © 2019 Alex Griffin <a@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -5171,10 +5172,18 @@ into your tests.  It automatically starts up a HTTP server in a separate thread
        #:make-flags
        (list (string-append "PREFIX="
                             (assoc-ref %outputs "out"))
-             "CC=gcc" "library")
+             "library")
        #:phases
        (modify-phases %standard-phases
-         (delete 'configure))))
+         (replace 'configure
+           (lambda* (#:key target #:allow-other-keys)
+             (when ,(%current-target-system)
+               (substitute* (find-files "." "Makefile")
+                 (("CC\\?=.*$")
+                  (string-append "CC=" target "-gcc\n"))
+                 (("AR\\?=.*$")
+                  (string-append "AR=" target "-ar\n"))))
+             #t)))))
     (synopsis "HTTP request/response parser for C")
     (description "This is a parser for HTTP messages written in C.  It parses
 both requests and responses.  The parser is designed to be used in
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:40 2019
Received: from localhost ([127.0.0.1]:57795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQt-0004mq-Ra
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:40 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:52003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQq-0004ky-Cc
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:36 -0400
Received: by mail-wm1-f45.google.com with SMTP id 207so15096071wma.1
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=B0mDDnOBIQ0gt63IxYXEkuq2ssLtCCkYukfDONo6mSI=;
 b=MLQSoIa2YWwhLPpG4uFAF5sgNMZhAgdJZj8qXPmS6nStCV0kcux3dg7JsE8LgK29Cz
 yrzFiR8Je7pL49GEWY16eCbFQX0SJD31JbzInDni98k6ZjkOsnLNY+aCZ3xBoh1lVN1d
 61OiJM65hdxnwI3FeaNVdHOYglJgfHrsFo5CofEnbCHc1AbEviMUUdFvpdmmJq2GA/kh
 Vouy+iv4DRc6oln3lwQKiMc3/6YXYsf9vDvVnIV579aDQRoJdv0SxJFlA5dqbRZeBBXk
 9kttj8Yy9LNxsLPa0bhPqytWJc428u4K8AhDbDmF2a2VmnjRTUrAkU6YCE95crOvDovX
 WvPg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=B0mDDnOBIQ0gt63IxYXEkuq2ssLtCCkYukfDONo6mSI=;
 b=H7o0TAoA/p8tl3OFFuWGXgyTHLAaE2tnIuVu7kTVXkQ+hym5PX5sk04vDymVf2DVKj
 f3gvIvOYS12RllY7G11M9znBpDFAtRCRRcL1zmlH/fOUemUhqipo/bzi9Afaw3wbU65p
 niGTcueJT8hAOaLckKPP62hACd1ry4izZrfpHoNLklKhsPFBlHbjNKhqxoLsPHGl+rur
 PioQhQqmcWV0UgF+zO8FuHS+kighHniB93nZVmrvE5cptStZNJXTd8LPZQ21xuIPWpht
 wsv9QRTM4C9h5YAGJQ/atDhLsWvciXPc4MsHCPiz9VwO4KHzRepZi8CNfnDTNbTAMjHc
 fnrg==
X-Gm-Message-State: APjAAAXLlcPiSGZdgSgjbAjASCnsJKswgLl8DZ0RzuCzYxMpbP/uVAgb
 PRlSC8EaECkMbtD7v1TrN/5b+JCl
X-Google-Smtp-Source: APXvYqx5v3YvjWWbvtKL/0MPiPTxhXE1UqHLL9Sx5tpzhmRSYCm+Pi+JElKcoz/x4Yka302ENhfusw==
X-Received: by 2002:a1c:a8d7:: with SMTP id r206mr12212523wme.47.1562579970338; 
 Mon, 08 Jul 2019 02:59:30 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.29
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:29 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 07/31] gnu: libgpg-error: Fix cross compilation.
Date: Mon,  8 Jul 2019 11:58:49 +0200
Message-Id: <20190708095913.3460-8-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/gnupg.scm (libgpg-error)[arguments]: Add a
 lock-obj header to the target platform when cross-compiling, [native-inputs]:
 add gettext that is needed when cross-compiling. --- gnu/package [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: tobias.gr]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.45 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/gnupg.scm (libgpg-error)[arguments]: Add a lock-obj header to
the target platform when cross-compiling,
[native-inputs]: add gettext that is needed when cross-compiling.
---
 gnu/packages/gnupg.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/gnupg.scm b/gnu/packages/gnupg.scm
index f84f8d73a0..68e8270206 100644
--- a/gnu/packages/gnupg.scm
+++ b/gnu/packages/gnupg.scm
@@ -15,6 +15,7 @@
 ;;; Copyright © 2017 Petter <petter@HIDDEN>
 ;;; Copyright © 2018, 2019 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -86,6 +87,27 @@
        (base32
         "1jj08ns4sh1hmafqp1giskvdicdz18la516va26jycy27kkwaif3"))))
     (build-system gnu-build-system)
+    (arguments
+     (if (%current-target-system)
+         `(#:modules ((ice-9 match)
+                      (guix build gnu-build-system)
+                      (guix build utils))
+           #:phases
+           (modify-phases %standard-phases
+             (add-after 'unpack 'cross-symlinks
+               (lambda* (#:key inputs #:allow-other-keys)
+                 (let* ((target ,(%current-target-system))
+                        (tuple
+                         (match (string-take target (string-index target #\-))
+                           ("armhf" "arm-unknown-linux-gnueabi")
+                           (x
+                            (string-append x "-unknown-linux-gnu")))))
+                   (symlink
+                    (string-append "lock-obj-pub." tuple ".h")
+                    "src/syscfg/lock-obj-pub.linux-gnu.h"))
+                 #t))))
+         '()))
+    (native-inputs `(("gettext" ,gettext-minimal)))
     (home-page "https://gnupg.org")
     (synopsis "Library of error values for GnuPG components")
     (description
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:39 2019
Received: from localhost ([127.0.0.1]:57792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQt-0004mc-0u
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:39 -0400
Received: from mail-wm1-f49.google.com ([209.85.128.49]:40003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQp-0004kr-Bx
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:35 -0400
Received: by mail-wm1-f49.google.com with SMTP id v19so15685474wmj.5
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=HQChGiapUc/V6LTOFWQ6u7G33P+LMpP/E3ipLTuUPF4=;
 b=id//RtAb3CW/GxloDCUHCznGE6jFyUJh4mr1aLdxFpy/zlWduyHKTFnUFPTi/7xyC3
 fokEcx6McmZRIhJzjQHVJAL2jUEPNGSi/vM6DeWngOVjgBfwFMsJsUbEgI7HfVwqAHM9
 HKhNpmIz/SJ0VF6pHNogd/DEIXi7jdOE1zfYqfhbqQ+VTwfZSWECRun0V9gIICQx9apQ
 hMrQlmmhutNCFZTsFgHw4uV1hlmSR9OYYKyBVNhazIl2yBLrMkqkQmCJ+LQnHiW0+FBW
 M1cJZDeELTXCJeNI64Vdc7rQYrY7+poWuUg0L20qR6drWX2e6OslYDsH+qU0110Rmj0o
 vZAw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=HQChGiapUc/V6LTOFWQ6u7G33P+LMpP/E3ipLTuUPF4=;
 b=eOH7uLsXnMjYXgvX21HVg9ZtWWcQFUGxff1U6hmi06YzrBrzrXzfEmgLqNp0K/6tKE
 /uBEB0FEEZEskINxNCU99S2IltCk5JybmjM1Qq5QTEvCwQO+xAv80tynxLjC7vw/d8Y9
 u6IzVZsdeRmTD8bUyOgH4CPFKF6MPXD21Q3Bi5Xz7bn5FX3ojxUy6uskR8tTjWnz/IdY
 TUaam1toCvXhwwDj83vhFWGmB8nusJDcqBrtDXAGReL/RSJTn4WY5YIYf7Ic5uf0n0RF
 I8l354P6VkkC0gV1l46zZK4VjdmJw0DNzBzXvfJhFKVhLZfw4pLq2czOPZAzBtgEozRL
 LaFA==
X-Gm-Message-State: APjAAAUOBY1oLrCFd340THYDBla77Ol0PmV7bDtmiUvtS/b8u73LOSCo
 kNvK4iQD+G5Pd3iTJWleJzwCBtuI
X-Google-Smtp-Source: APXvYqwq7A781gkZJAkqmsCfO+McLSq7PZUOW+bRFhafGW/6tdaLRh+XU3oZDXucgrwRiVbXIAVSdw==
X-Received: by 2002:a1c:a7c6:: with SMTP id
 q189mr16330811wme.146.1562579969346; 
 Mon, 08 Jul 2019 02:59:29 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.28
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:28 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 06/31] gnu: xorg: Fix cross-compilation of multiple packages.
Date: Mon,  8 Jul 2019 11:58:48 +0200
Message-Id: <20190708095913.3460-7-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * gnu/packages/xorg.scm (libxext)[arguments]: Disable zero
 malloc check that fails when cross-compiling, (libxrender)[arguments]: ditto, 
 (libx11)[arguments]: ditto. --- gnu/packages/xorg.scm | 25 ++++ [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.49 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/xorg.scm (libxext)[arguments]: Disable zero malloc check that
fails when cross-compiling,
(libxrender)[arguments]: ditto,
(libx11)[arguments]: ditto.
---
 gnu/packages/xorg.scm | 25 ++++++++++++++++++++++---
 1 file changed, 22 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index 9577c4d2c6..e35e8be72f 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -4546,6 +4546,13 @@ cannot be adequately worked around on the client side of the wire.")
           (base32
             "0dbfn5bznnrhqzvkrcmw4c44yvvpwdcsrvzxf4rk27r36b9x865m"))))
     (build-system gnu-build-system)
+    ;; Disable zero malloc check that fails when cross-compiling.
+    (arguments
+     `(#:configure-flags
+       (list
+        ,@(if (%current-target-system)
+              '("--disable-malloc0returnsnull")
+              '()))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)))
     (inputs
@@ -4631,6 +4638,13 @@ cannot be adequately worked around on the client side of the wire.")
           (base32
             "0j89cnb06g8x79wmmnwzykgkkfdhin9j7hjpvsxwlr3fz1wmjvf0"))))
     (build-system gnu-build-system)
+    ;; Disable zero malloc check that fails when cross-compiling.
+    (arguments
+     `(#:configure-flags
+       (list
+        ,@(if (%current-target-system)
+              '("--disable-malloc0returnsnull")
+              '()))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)))
     (inputs
@@ -5248,9 +5262,14 @@ draggable titlebars and borders.")
     (outputs '("out"
                "doc"))                            ;8 MiB of man pages + XML
     (arguments
-     '(#:configure-flags (list (string-append "--mandir="
-                                              (assoc-ref %outputs "doc")
-                                              "/share/man"))))
+     `(#:configure-flags
+       (list (string-append "--mandir="
+                            (assoc-ref %outputs "doc")
+                            "/share/man")
+             ;; Disable zero malloc check that fails when cross-compiling.
+             ,@(if (%current-target-system)
+                   '("--disable-malloc0returnsnull")
+                   '()))))
     (propagated-inputs
       `(("xorgproto" ,xorgproto)
         ("libxcb" ,libxcb)))
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:39 2019
Received: from localhost ([127.0.0.1]:57790 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQs-0004mL-22
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:38 -0400
Received: from mail-wm1-f66.google.com ([209.85.128.66]:34950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQo-0004kp-I7
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:34 -0400
Received: by mail-wm1-f66.google.com with SMTP id l2so8438067wmg.0
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=UJcqkBAi7MFTf1365KtcoBlh9tbqoc4yLS9xIMSMxAM=;
 b=hcBT5k4QsUmL46HIxfBLvipupq6zUPkmRthMT4hYd88RX6wcmBAQzd2+jGfbn0kY+o
 3nxetKW6rND/DgayyOxfnrQD/09Kuh1Y3Zindy+qFEWHU2u0uhvg8MdgAYDFs8rnNSIu
 q7J5AIlsvSPmtOBHFVmdWr9YsoSHPF/3i8QhnRJYJpVU3TuqPkjDdo0MDF1l/F/wjxhm
 JdYacHvLmYzoMAUbneEkXXHADRAbXKMR55T3qh97ES7bGz2yEj4H8nwySwdqUtCRJn7D
 RWqBzqiIZWppuIg14epXCBhEo0bALATwZ5ggKxSv3b4xPwuVha1N1o2Q6wZwU5vrv/4i
 Qbxg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=UJcqkBAi7MFTf1365KtcoBlh9tbqoc4yLS9xIMSMxAM=;
 b=PlK8wodGQqiueSYbaG4FcYEv7jOg+TsjMWw9FhRajMpBoZjJz/Usj7LgqRPGcdpuq0
 aOcqAG5dKI3iw2FclZcREuY7OgS3YkA8u6xOGSD0p898H2wNujMMDX5bgN5VMsxcP+EJ
 Z4HMsGj7sVLycG8CpXWj5ZQvwF6eoHGIrjDCAj1hrKW1h9ppBvcfTWmRmjiJ2bf7DkZ5
 IpqOGv+3rSNAJgA1mGGpoSveRyxJGegvCrZGQFkjtP58zK69Y70/bS5BbymNX4UWXaeC
 HUeXoZ5bivwE9AAo6WM/VkoQQQeSJQaTJWWfVKvQsqdJZRpSC7kWaJ2mFrCSkXZNudC4
 ETcA==
X-Gm-Message-State: APjAAAWdVl9Q3AtvK2w9ADQQLazh4+h5qwSvOmLunhjXkRmZOVj/c1Ge
 P9P7fSZRkWq83lj60YUjlmnieE/Q
X-Google-Smtp-Source: APXvYqx334A8VfwFpl9a6Y2If64reADKxsbrtz3JkD6CIktzmGD7T6Cl0ccLLny1ltjsM4yaim6MKg==
X-Received: by 2002:a1c:5f87:: with SMTP id
 t129mr16994013wmb.150.1562579968340; 
 Mon, 08 Jul 2019 02:59:28 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.27
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:27 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 05/31] gnu: libxslt: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:58:47 +0200
Message-Id: <20190708095913.3460-6-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/xml.scm (libxslt)[native-inputs]: Add
 pkg-config.
 --- gnu/packages/xml.scm | 2 ++ 1 file changed, 2 insertions(+) diff --git
 a/gnu/packages/xml.scm b/gnu/packages/xml.scm index fc60758724..5fefa2c1dc
 100644 --- a/gnu/packages/xml.scm +++ b/gnu/packages/xml.scm @@ -201, 6 +201, 8
 @@ project (but it is usable outside [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.66 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/xml.scm (libxslt)[native-inputs]: Add pkg-config.
---
 gnu/packages/xml.scm | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gnu/packages/xml.scm b/gnu/packages/xml.scm
index fc60758724..5fefa2c1dc 100644
--- a/gnu/packages/xml.scm
+++ b/gnu/packages/xml.scm
@@ -201,6 +201,8 @@ project (but it is usable outside of the Gnome platform).")
               ("libxml2" ,libxml2)
               ("python" ,python-minimal-wrapper)
               ("zlib" ,zlib)))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
     (description
      "Libxslt is an XSLT C library developed for the GNOME project.  It is
 based on libxml for XML parsing, tree manipulation and XPath support.")
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:38 2019
Received: from localhost ([127.0.0.1]:57787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQr-0004mA-LG
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:37 -0400
Received: from mail-wr1-f66.google.com ([209.85.221.66]:37971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQn-0004kn-HZ
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:33 -0400
Received: by mail-wr1-f66.google.com with SMTP id g17so6189102wrr.5
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=f6IstIxqTvNcVx+bDNKldqMdtyL38gLLAMBLZ+na8Ps=;
 b=ZFNKyxcrhDsVGteUohnwEmo6NGiD0a4eBB047H6rj7RVHmjkxoPskY6ae+8mq5R658
 iCB1BeRDveyLDmchNohs/7nNPfT2bbvQ6tZXKvVlODCNFKIwWagy2EHGXldGd0Sl2FVH
 zA/kKzeMHP0GAaHk3xc1BUlHJVLzw8fZW4SmNEfslQMnrFr3QzwPk3dhFQBwz4oU5hls
 pjGJLiGh7v7yvc+FHrIuNCx1xKWYaOGwExA8DhUKOKbf45cklaFvBDSIpMklFsLD6aE1
 LYreJyGRK/wo5Dqu1yTa3XV/V7ku6WZ4LpPqA7fvzDTrok5CPCTIpxH2oN/rkycORMli
 rjMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=f6IstIxqTvNcVx+bDNKldqMdtyL38gLLAMBLZ+na8Ps=;
 b=Zp0bJ73tySilj3n+KDn4z9G/XLH9KRrKrF6p7/n40458ZNBkOI1H9zsUJWQVzMfmmm
 ZdAj3n1gu6kTc0S2Y+s52xMSXVyPLKCiFHl3J6qLTWcQCTqo+BG0+c4eeom3YR3J9BQ8
 QUOUBzn5r6kvxWzESMUvksZCsAvOP9HllEeZRl9fSfKED7kJ2q8MqJMzDfwjz885uKAi
 cj54xLXgdYbCeWEVNJYOsZ7m3S/joxbrGRM1Q+zEdA4RA8UFATbG7Hd7D94XXb48yHXq
 odNh0DaAS8EACWpwBrWiMRR5uKWm0/O/uRVuz/lza4ONQD1QYJimwQ5m2GTxG1csvz/C
 rBaQ==
X-Gm-Message-State: APjAAAUbIavsvQdGiaosoKmolY/KLpnrPi094nxwmPZqwd0rpAT1B1Ct
 90G+fOTq0kwEheWXBIqTACsNN2sy
X-Google-Smtp-Source: APXvYqyShP7lDSwSURYKsKPy+fxf1e9XVkCoFPknfaccCPXzMAyYJsVjcFMJcQs5ADA8qRXatc56MA==
X-Received: by 2002:a5d:52cd:: with SMTP id r13mr18610050wrv.349.1562579967528; 
 Mon, 08 Jul 2019 02:59:27 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.26
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:26 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 04/31] gnu: tk: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:58:46 +0200
Message-Id: <20190708095913.3460-5-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/tcl.scm (tk)[arguments]: Add configure flags
 to fix cross-compilation. --- gnu/packages/tcl.scm | 13 ++++++++++--- 1 file
 changed, 10 insertions(+), 3 deletions(-) diff --git a/gnu/packages/tcl.scm
 b/gnu/packages/tcl.scm index fc955cf649..df0f0e3a5c 100644 ---
 a/gnu/packages/tcl.scm
 +++ b/gnu/packages/tcl.scm @@ -185, 9 +185,
 16 @@ X11 GUIs.") "/lib -lfontconfig") [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.66 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.66 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/tcl.scm (tk)[arguments]: Add configure flags to fix
cross-compilation.
---
 gnu/packages/tcl.scm | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/tcl.scm b/gnu/packages/tcl.scm
index fc955cf649..df0f0e3a5c 100644
--- a/gnu/packages/tcl.scm
+++ b/gnu/packages/tcl.scm
@@ -185,9 +185,16 @@ X11 GUIs.")
                                          "/lib -lfontconfig")))
                        #t))))
 
-       #:configure-flags (list (string-append "--with-tcl="
-                                              (assoc-ref %build-inputs "tcl")
-                                              "/lib"))
+       #:configure-flags
+       (list (string-append "--with-tcl="
+                            (assoc-ref %build-inputs "tcl")
+                            "/lib")
+             ;; This is needed when cross-compiling, see:
+             ;; https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719247
+             ,@(if (%current-target-system)
+                   '("tcl_cv_strtod_buggy=1"
+                     "ac_cv_func_strtod=yes")
+                   '()))
 
        ;; The tests require a running X server, so we just skip them.
        #:tests? #f))
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:37 2019
Received: from localhost ([127.0.0.1]:57784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQr-0004m3-94
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:37 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:44621)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQm-0004kl-PO
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:33 -0400
Received: by mail-wr1-f67.google.com with SMTP id p17so5159263wrf.11
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references;
 bh=XqNcqaxkpT6JyalP0iHPkZxQ3VtctCa2cpSRm18Leuw=;
 b=bhBUeNNq3UCTJUoZsMO0RkSKClMfwT3Y/q/iJlpTGuE26Mo3SxqU7rLJIh29Vo2+hc
 T0AbPt4MAoBVycIaONxjmg1sVQLMETf7uzlQHgiZl+wxxEBybs56eNqZSHullhw33Urx
 dVeJqG36Ce4fGbAiX4/tTeVSELqx3e4cw2QH+QzCaKmEikJrijqnx9V2Kr/N2cr7v4HG
 H0BTc798j8YtNKNRYX+LLKvw4jHelUcE/uzW4bLqWn8TxqCkVEWFRllTZt8enSvEh/LG
 tgIPDda442kjN77OFICYD1YsJI4AwnD/WX0NGFUNtFCh4vgZBKAGw8PJKxh7nyZaFo3G
 BGdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references;
 bh=XqNcqaxkpT6JyalP0iHPkZxQ3VtctCa2cpSRm18Leuw=;
 b=flaRckKPQgMNQ/sGxb3BLlMY85ZAABp4ifKXOlB+aYrzV3nN+O3VDbFU7L6rSvG0HQ
 TXG3dJFrREFnHCU/9ODAhIP4V1PK/8JdGuzCMSliTK+w6QOK+qTR4CdHQ8Rr1aXuQe0M
 DT0+z/RBJMhTpyr+cY8FwbnBTWK7G3kuiKfpmNYHpFhMSSAUHGSJKlRrXG7+nNDHhAZ3
 BwyFj4uib7FZNtPwbIXiN1ulRK2CzYoboQ46sZHguVLdMGndsPZvOkgCtMD4lUVNWBPn
 CT+URlAxYVvZOIoI0eOhONfMuXhr3egV2Ld8/JcAY8YYKFOskHDoJEgzqwbAkTXJoQuf
 d0JQ==
X-Gm-Message-State: APjAAAWDKvXRXJNWlVnpcbqI56sbIoo94Yj5UyMJ5iDVL6DP+i9Eu3Xw
 TcUFT9KwY/XUogZP91SKrl0gVUhO
X-Google-Smtp-Source: APXvYqxgF6cONzs+IC47y2DYY8fcF4gm8rv+ZinJPst57UjinBmPGMdcLcXiwvlU1LSoNpj374wFgA==
X-Received: by 2002:a5d:4c86:: with SMTP id z6mr13010353wrs.330.1562579966711; 
 Mon, 08 Jul 2019 02:59:26 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.25
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:26 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 03/31] gnu: tcl: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:58:45 +0200
Message-Id: <20190708095913.3460-4-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/tcl.scm (tcl)[arguments]: Add configure flags
 to fix cross-compilation. --- gnu/packages/tcl.scm | 15 +++++++++++---- 1
 file changed, 11 insertions(+),
 4 deletions(-) diff --git a/gnu/packages/tcl.scm
 b/gnu/packages/tcl.scm index 4840ac4e10..fc955cf649 100644 ---
 a/gnu/packages/tcl.scm +++ b/gnu/packages/tcl.scm @@ -53, 7 +53,
 7 @@ "0sprsg7wnraa4cbwgbcliylm6p0rspfymx [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.67 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.67 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/tcl.scm (tcl)[arguments]: Add configure flags to fix
cross-compilation.
---
 gnu/packages/tcl.scm | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/tcl.scm b/gnu/packages/tcl.scm
index 4840ac4e10..fc955cf649 100644
--- a/gnu/packages/tcl.scm
+++ b/gnu/packages/tcl.scm
@@ -53,7 +53,7 @@
                 "0sprsg7wnraa4cbwgbcliylm6p0rspfymxn8ww02pr4ca70v0g64"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:phases (modify-phases %standard-phases
+     `(#:phases (modify-phases %standard-phases
                   (add-before 'configure 'pre-configure
                     (lambda _ (chdir "unix") #t))
                  (add-after 'install 'install-private-headers
@@ -73,9 +73,16 @@
        ;; PREFIX/share/man.  The 'validate-documentation-location' phase is
        ;; not able to fix this up because the default install populates both
        ;; PREFIX/man and PREFIX/share/man.
-       #:configure-flags (list (string-append "--mandir="
-                                              (assoc-ref %outputs "out")
-                                              "/share/man"))
+       #:configure-flags
+       (list (string-append "--mandir="
+                            (assoc-ref %outputs "out")
+                            "/share/man")
+             ;; This is needed when cross-compiling, see:
+             ;; https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719247
+             ,@(if (%current-target-system)
+                   '("tcl_cv_strtod_buggy=1"
+                     "ac_cv_func_strtod=yes")
+                   '()))
 
        ;; XXX: There are a few test failures (related to HTTP, most
        ;; likely related to name resolution), but that doesn't cause
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:37 2019
Received: from localhost ([127.0.0.1]:57778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQn-0004lM-8d
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:37 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:42734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQm-0004kj-2T
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:32 -0400
Received: by mail-wr1-f45.google.com with SMTP id a10so15230520wrp.9
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=4xZdoEDGHsADRH8szcihC5nhMfmn1KgFlVP2qHne3wU=;
 b=spkc95A1mSiWzQseJdymHr0pJJdkQ6p+P26wLVPLN4yGwFXfFAKl6vAyGS6QXU2v8A
 NajEYOvq2SxL3tpBo30PklWdG6Zsyv92i7IOxvwA/RXg7sIiOOPQde/0k1QFwtQT8oZp
 4S4SwA2u2uMWqODOYJX/7H2sZP53y5Ebs7j14fdei1s+ItvO/Kc7c/Ls29/if533p1no
 1igdrtWW4ygR3jkyQMZ0lCGYf+Of8Zn7E84zDiqBl0dTRry3Vvv1N+2rTMqL8uR437j5
 nMbtblgzEvLFA7rjaNTndaqOVQhn+qMlLNKCuA2LB5y/qzADlPbTv1VjJVkHbYivSRt5
 Zl8g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=4xZdoEDGHsADRH8szcihC5nhMfmn1KgFlVP2qHne3wU=;
 b=S9bhMhLyrngWPoelWVQ35N271i9qAZSyT5t5m1tB4LEk8DNRjKc/kZEpvpGIYSMXqM
 aXKrRM0AjR981TwJt06dw5mSSLQlMfEmQGWyBxmO2iEa1iu2hEp2ezKOhp+WOCLancwX
 rfBz36kkodSnidapGv34nBw4wSNW++4i/NJDXqPAbaLWogHNwxMPbXMOkmZWri1j35l2
 Qhg2v9mUQemw4Q7X89Sk92vsTJ9Tk17/+b7zzndG5MXjFTtvd7ge8CHxdPBrTLeFb12m
 ExHEr3qi+czLmQe/KCQEgJ+RgPHtgEyvQ/xUjnrJ7m637J+R087pEugPLIpKNcnTJG7r
 JueQ==
X-Gm-Message-State: APjAAAVQoG3ZlnF1W3w3axNxdBA24LBFqZKrDbCCes7IvKE+6hn+yfGh
 9pSeuUA8oEd/lVhoMngn5B5BOSjT
X-Google-Smtp-Source: APXvYqxtJuH0xD+nutcXcOJNe5uN+3E1k99AM+sFHwMQqU+QYnaSq59y2b9PNfZhpaKHHILLsl0Itg==
X-Received: by 2002:adf:ef8d:: with SMTP id d13mr17394846wro.60.1562579965925; 
 Mon, 08 Jul 2019 02:59:25 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.24
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:25 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 02/31] gnu: python: Fix cross compilation.
Date: Mon,  8 Jul 2019 11:58:44 +0200
Message-Id: <20190708095913.3460-3-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * gnu/packages/python.scm (python-2.7)[arguments]: Add a
 configure
 flag to disable a check failing when cross-compiling. This is covered here:
 https://lists.yoctoproject.org/pipermail/poky/2013-June/0 [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: openmailbox.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.45 listed in list.dnswl.org]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/python.scm (python-2.7)[arguments]: Add a configure flag to
disable a check failing when cross-compiling. This is covered here:
https://lists.yoctoproject.org/pipermail/poky/2013-June/008997.html,
[native-inputs]: Add self and which when cross-compiling,
(python-3.7)[arguments]: Refer to native python when cross-compiling.
---
 gnu/packages/python.scm | 34 +++++++++++++++++++++++++---------
 1 file changed, 25 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index aa92e82ac2..1a8cd39de2 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -38,7 +38,7 @@
 ;;; Copyright © 2017 Frederick M. Muriithi <fredmanglis@HIDDEN>
 ;;; Copyright © 2017, 2018 Adriano Peluso <catonano@HIDDEN>
 ;;; Copyright © 2017 Ben Sturmfels <ben@HIDDEN>
-;;; Copyright © 2017, 2018 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright © 2017, 2018, 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;; Copyright © 2017 José Miguel Sánchez García <jmi2k@HIDDEN>
 ;;; Copyright © 2017 Roel Janssen <roel@HIDDEN>
 ;;; Copyright © 2017, 2018 Kei Kebreau <kkebreau@HIDDEN>
@@ -76,6 +76,7 @@
 (define-module (gnu packages python)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (gnu packages)
+  #:use-module (gnu packages base)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages dbm)
@@ -134,6 +135,13 @@
              "--with-system-ffi"                  ;build ctypes
              "--with-ensurepip=install"           ;install pip and setuptools
              "--enable-unicode=ucs4"
+             ;; Disable runtime check failing if cross-compiling, see:
+             ;; https://lists.yoctoproject.org/pipermail/poky/2013-June/008997.html
+             ,@(if (%current-target-system)
+                   '("ac_cv_buggy_getaddrinfo=no"
+                     "ac_cv_file__dev_ptmx=no"
+                     "ac_cv_file__dev_ptc=no")
+                   '())
              (string-append "LDFLAGS=-Wl,-rpath="
                             (assoc-ref %outputs "out") "/lib"))
 
@@ -246,7 +254,12 @@
        ("tcl" ,tcl)
        ("tk" ,tk)))                               ; for tkinter
     (native-inputs
-     `(("pkg-config" ,pkg-config)))
+     `(("pkg-config" ,pkg-config)
+       ;; When cross-compiling, a native version of Python itself is needed.
+       ,@(if (%current-target-system)
+             `(("self" ,this-package)
+               ("which" ,which))
+             '())))
     (native-search-paths
      (list (search-path-specification
             (variable "PYTHONPATH")
@@ -342,13 +355,16 @@ data types.")
                             (if (null? opt) "none" (car opt)))
                     (for-each (lambda (file)
                                 (apply invoke
-                                       `(,(string-append out "/bin/python3")
-                                         ,@opt
-                                         "-m" "compileall"
-                                         "-f" ; force rebuild
-                                         ;; Don't build lib2to3, because it's Python 2 code.
-                                         "-x" "lib2to3/.*"
-                                         ,file)))
+                                       `(,,(if (%current-target-system)
+                                               "python3"
+                                               '(string-append out
+                                                               "/bin/python3"))
+                                          ,@opt
+                                          "-m" "compileall"
+                                          "-f" ; force rebuild
+                                          ;; Don't build lib2to3, because it's Python 2 code.
+                                          "-x" "lib2to3/.*"
+                                          ,file)))
                               (find-files out "\\.py$")))
                   (list '() '("-O") '("-OO")))
                  #t)))))))
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:33 2019
Received: from localhost ([127.0.0.1]:57776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQm-0004lF-UL
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:33 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:32985)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQl-0004kh-4c
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:32 -0400
Received: by mail-wr1-f54.google.com with SMTP id n9so16360095wru.0
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=bZtLnWDsJ02d582NKeamkLcDJxvVVaeMDDaBTtcoNCE=;
 b=YZv1Lm8NHsIJ4QJhBXZy3mcLe16ntmhv2F6HiNh9x63C+n6xsa9mH5q6FXVh4XVmmL
 psNSh3T8Jj42hCaQnTyMB7Yw3siunjLJjYrsyrErII7GVjGTHqvChSCosz6hO+HFMXPr
 s9Iz4SWMybBHw9WVhUevCzi7q8jTr79n/bbUR03/GO3D9Np3pBtUo302kfWt5Z2VsVjC
 wsgjsP9FVaSIMfiVkK+x7QySklTe86ERyCNnfpd6qCUTQLqKhgtXocm4AYZmvZd0iZH4
 /FXHV+ydvbflxeR8gPoSJWEjEfphScJ+27YjqstPQ5DtLq2aIQY29Dgc8cvfb9ExhJnX
 PWYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=bZtLnWDsJ02d582NKeamkLcDJxvVVaeMDDaBTtcoNCE=;
 b=h679e3U7wbs4CdygozdQ88Q+BzVM2TMfNL+RrL6ZOFGXUTYJulejGmufH7NAWfRfP7
 pE2jdJMz8DQw5U23kyLKJho420IvhKYYO71Uy2U/grTDzs55PPyQv75kFXyuSu/nEOBU
 0fGI4Bk8hrTchtcU0oY2wsb5Dgr5FmQtbfYrgYJB822Pddeu5aIuvy9mRNALXUaL2Aq4
 wVRDNF/CVy1RTTTAFyXRk36Nxn/GB6Rpv9UTAVoJbq9kqMm0DwU1a8o0H7mjNd0EVM+u
 L/i9VCokQsBrTMHGv6pWGe7cIWPLFK3H9I61M9Wzi9GW+OCXrj4S9xrpNvUyR8AXIaNp
 Bdxg==
X-Gm-Message-State: APjAAAVa77VZw+is+yXznhhcmtjdI45WVmGBT6kOcASeW1zA8K69mBe2
 +Vg6KA4Xu6Kezmf5SHtDXF1xnm7H
X-Google-Smtp-Source: APXvYqzffy+Lxyvssm2dI1n4hHGiU9HgEWnoahV0lKpsUvgUh1677eVk1/pYLEJkuwXV56PrUc6Z3w==
X-Received: by 2002:a05:6000:42:: with SMTP id
 k2mr17368326wrx.80.1562579964919; 
 Mon, 08 Jul 2019 02:59:24 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.23
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:24 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 01/31] gnu: perl: Fix cross-compilation.
Date: Mon,  8 Jul 2019 11:58:43 +0200
Message-Id: <20190708095913.3460-2-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
In-Reply-To: <20190708095913.3460-1-m.othacehe@HIDDEN>
References: <20190708095913.3460-1-m.othacehe@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * gnu/packages/perl.scm (perl)[arguments]: Use cross-libc
   instead of libc when cross-compiling. --- gnu/packages/perl.scm | 7 +++++--
    1 file changed, 5 insertions(+), 2 deletions(-) diff --git a/gnu/packages/perl.scm
    b/gnu/packages/perl.scm index 63b8e387b8..b348a3e088 100644 --- a/gnu/packages/perl.scm
    +++ b/gnu/packages/perl.scm @@ -22,6 +22,7 @@ ;;; Copyright © 2018, 2019
    Pie [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: posteo.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.221.54 listed in list.dnswl.org]
  1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

* gnu/packages/perl.scm (perl)[arguments]: Use cross-libc instead of libc when
cross-compiling.
---
 gnu/packages/perl.scm | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/perl.scm b/gnu/packages/perl.scm
index 63b8e387b8..b348a3e088 100644
--- a/gnu/packages/perl.scm
+++ b/gnu/packages/perl.scm
@@ -22,6 +22,7 @@
 ;;; Copyright © 2018, 2019 Pierre Neidhardt <mail@HIDDEN>
 ;;; Copyright © 2018 Kei Kebreau <kkebreau@HIDDEN>
 ;;; Copyright © 2019 Alex Griffin <a@HIDDEN>
+;;; Copyright © 2019 Mathieu Othacehe <m.othacehe@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -81,7 +82,7 @@
                        "perl-reproducible-build-date.patch"))))
     (build-system gnu-build-system)
     (arguments
-     '(#:tests? #f
+     `(#:tests? #f
        #:configure-flags
        (let ((out  (assoc-ref %outputs "out"))
              (libc (assoc-ref %build-inputs "libc")))
@@ -130,7 +131,9 @@
          (add-after 'install 'remove-extra-references
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out     (assoc-ref outputs "out"))
-                    (libc    (assoc-ref inputs "libc"))
+                    (libc    (assoc-ref inputs
+                                        ,(if (%current-target-system)
+                                             "cross-libc" "libc")))
                     (config1 (car (find-files (string-append out "/lib/perl5")
                                               "^Config_heavy\\.pl$")))
                     (config2 (find-files (string-append out "/lib/perl5")
-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at 36477 <at> debbugs.gnu.org:


Received: (at 36477) by debbugs.gnu.org; 8 Jul 2019 09:59:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 05:59:32 2019
Received: from localhost ([127.0.0.1]:57773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkQQm-0004l6-Dt
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:32 -0400
Received: from mail-wm1-f68.google.com ([209.85.128.68]:54887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hkQQk-0004kg-5A
 for 36477 <at> debbugs.gnu.org; Mon, 08 Jul 2019 05:59:30 -0400
Received: by mail-wm1-f68.google.com with SMTP id p74so12043854wme.4
 for <36477 <at> debbugs.gnu.org>; Mon, 08 Jul 2019 02:59:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id;
 bh=b4e2Xv5u+qdpGz7dILZu4dWkMbADSsUIxL69fwTNXm4=;
 b=a3cqAFfl7QcmGAWDKK16rCWEoPIJcjoRC4Gwv3LBDu1MDNAPrj+nNHQuoYXv8e/ET/
 p3QhS+aksO+Q2vLwQFM7z7m2eNjSSMWveAd7uYsmCrn9QXEeHf18iYeKMSz0tUlVsAsO
 U00fS5btIcBiTchbb9tD4FdrusAqZY5HJ/+/Y38Q9kig1TyEoHnhQF7OERtL+BJKHOxc
 7GAi51cB2GF+lLwt0VgJNZEK5qbtJht/CzD8UencTni1hpds1Exxz8Z748BfCN+Xk12M
 j12gHN2BS4cxD67bn31uoUIIjY87hNaIxKgA7L1AAq/X77Dnbu+23ntVBCFDYWN18Qpb
 ta4g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id;
 bh=b4e2Xv5u+qdpGz7dILZu4dWkMbADSsUIxL69fwTNXm4=;
 b=YieREgVjo/kUm1DecvvE71ykT/SylV09Ppl06k+5qLqtakWBUasoQSAT6HdM1saQXP
 Z510OkpwhoSdZYlK2rLRK2soNvhUKiiRrL/r189KrmSz/N1wP3e5aED5EnL4Dbao+sF8
 /H/79ohRbzKsgHJ+lkzupw3janDUVH5v1wEbavMikj1VY1zGDkCey0rwPrI0NM+IlHPx
 OgZrujEgR8KRBuh+INvDyoiBQ+IlSQ+WfsbRd8T0LfIBxtZFzwPUuQ/AoFQCjbTlYSSo
 YAfiKMlVJQdAkdsC3qitqDfxSAffz36NAaGzNUtRQMjnfPC/k0mTBCvDjWBLnkNJBE/5
 3seA==
X-Gm-Message-State: APjAAAXRWH8wBJYJQBVlhOGjEoUcS8yv62lV3B7Kyt+v1NlOCp8kGbMO
 rW9DuP8tjIdGb0fMz1xXCyH+dilJ
X-Google-Smtp-Source: APXvYqyYgHII85m6+MWPWLKhYu0SzOtsPmUSS6Zb8fT1/MTE2Sa7MknoV1oLFyyS1EXtsBq9v+mA/A==
X-Received: by 2002:a1c:2015:: with SMTP id g21mr15641223wmg.33.1562579963843; 
 Mon, 08 Jul 2019 02:59:23 -0700 (PDT)
Received: from fuji.Parrot.Biz (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id i66sm3165127wmi.11.2019.07.08.02.59.22
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Mon, 08 Jul 2019 02:59:22 -0700 (PDT)
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: 36477 <at> debbugs.gnu.org
Subject: [PATCH 00/31] Fix cross-compilation issues
Date: Mon,  8 Jul 2019 11:58:42 +0200
Message-Id: <20190708095913.3460-1-m.othacehe@HIDDEN>
X-Mailer: git-send-email 2.17.1
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Here's a batch of cross-compilation related patches.
 They can be seen on wip-cross-system branch of savannah. Some of them cause
 mass-rebuilds so I guess this serie is targeting core-updates. Thanks, 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: local.mk]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.68 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (m.othacehe[at]gmail.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.68 listed in wl.mailspike.net]
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 36477
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hello,

Here's a batch of cross-compilation related patches. They can be seen on
wip-cross-system branch of savannah. Some of them cause mass-rebuilds so I
guess this serie is targeting core-updates.

Thanks,

Mathieu

Mathieu Othacehe (30):
  gnu: perl: Fix cross-compilation.
  gnu: python: Fix cross compilation.
  gnu: tcl: Fix cross-compilation.
  gnu: tk: Fix cross-compilation.
  gnu: libxslt: Fix cross-compilation.
  gnu: xorg: Fix cross-compilation of multiple packages.
  gnu: libgpg-error: Fix cross compilation.
  gnu: python: Fix cross-compilation.
  gnu: http-parser: Fix cross-compilation.
  gnu: openssl: Fix cross-compilation.
  gnu: texinfo: Fix cross-compilation.
  gnu: cmake: Extend CMAKE_PREFIX_PATH to non-native inputs.
  gnu: libgit2: Fix cross compilation.
  gnu: ath9k-htc-firmware: Fix cross compilation.
  gnu: libpaper: Fix aarch64 cross-compilation.
  gnu: groff: Fix cross compilation.
  gnu: bc: Fix cross-compilation.
  gnu: indent: Fix aarch64 cross-compilation.
  gnu: libsamplerate: Fix aarch64 cross-compilation.
  gnu: mit-krb5: Fix cross-compilation.
  gnu: cyrus-sasl: Fix cross-compilation.
  gnu: help2man: Fix cross-compilation.
  gnu: xmlto: Fix cross-compilation.
  gnu: libarchive: Fix cross-compilation.
  gnu: tcsh: Fix cross-compilation.
  gnu: pkg-config: Fix cross-compilation.
  gnu: mkfontdir: Fix aarch64 cross-compilation.
  gnu: alsa-utils: Fix cross-compilation.
  gnu: icu4c: Fix cross-compilation.
  gnu: glibc-utf8-locales: Fix cross-compilation.

Pierre-Moana Levesque (1):
  gnu: texinfo-5: Fix cross-compilation.

 gnu/local.mk                                  |   3 +
 gnu/packages/algebra.scm                      |  15 +-
 gnu/packages/backup.scm                       |  31 ++--
 gnu/packages/base.scm                         |   4 +-
 gnu/packages/cmake.scm                        |   2 +-
 gnu/packages/code.scm                         |  21 ++-
 gnu/packages/commencement.scm                 |  11 +-
 gnu/packages/cyrus-sasl.scm                   |  17 +-
 gnu/packages/firmware.scm                     |   5 +-
 gnu/packages/ghostscript.scm                  |  19 ++
 gnu/packages/gnupg.scm                        |  22 +++
 gnu/packages/groff.scm                        |  40 +++-
 gnu/packages/icu4c.scm                        |  33 +++-
 gnu/packages/kerberos.scm                     |  23 ++-
 gnu/packages/linux.scm                        |   7 +-
 gnu/packages/man.scm                          |   2 +-
 .../patches/bc-fix-cross-compilation.patch    | 171 ++++++++++++++++++
 .../patches/cyrus-sasl-ac-try-run-fix.patch   |  12 ++
 .../patches/python-2.7-search-paths.patch     |  10 +-
 .../patches/python-3-search-paths.patch       |  11 +-
 .../patches/python-cross-compile.patch        | 145 +++++++++++++++
 gnu/packages/perl.scm                         |   7 +-
 gnu/packages/pkg-config.scm                   |  11 +-
 gnu/packages/pulseaudio.scm                   |  22 ++-
 gnu/packages/python.scm                       |  40 +++-
 gnu/packages/shells.scm                       |   9 +
 gnu/packages/tcl.scm                          |  28 ++-
 gnu/packages/texinfo.scm                      |  28 ++-
 gnu/packages/tls.scm                          |  59 ++++--
 gnu/packages/version-control.scm              |  16 +-
 gnu/packages/web.scm                          |  13 +-
 gnu/packages/xml.scm                          |   7 +-
 gnu/packages/xorg.scm                         |  44 ++++-
 33 files changed, 794 insertions(+), 94 deletions(-)
 create mode 100644 gnu/packages/patches/bc-fix-cross-compilation.patch
 create mode 100644 gnu/packages/patches/cyrus-sasl-ac-try-run-fix.patch
 create mode 100644 gnu/packages/patches/python-cross-compile.patch

-- 
2.17.1





Information forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Jul 2019 15:18:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 02 11:18:27 2019
Received: from localhost ([127.0.0.1]:47667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hiKY7-0007vN-Ga
	for submit <at> debbugs.gnu.org; Tue, 02 Jul 2019 11:18:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:44187)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hiKY6-0007vF-1R
 for submit <at> debbugs.gnu.org; Tue, 02 Jul 2019 11:18:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33018)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hiKY3-00084y-5U
 for guix-patches@HIDDEN; Tue, 02 Jul 2019 11:18:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <m.othacehe@HIDDEN>) id 1hiKXz-0002g5-UM
 for guix-patches@HIDDEN; Tue, 02 Jul 2019 11:18:21 -0400
Received: from mail-wm1-x32d.google.com ([2a00:1450:4864:20::32d]:52964)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <m.othacehe@HIDDEN>)
 id 1hiKXz-0002bI-8x
 for guix-patches@HIDDEN; Tue, 02 Jul 2019 11:18:19 -0400
Received: by mail-wm1-x32d.google.com with SMTP id s3so1236075wms.2
 for <guix-patches@HIDDEN>; Tue, 02 Jul 2019 08:18:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=r2LVYRNATN+Dv+uBxov/oTK6C0VHRn6FTdtWKpZeeuA=;
 b=hYvDK6bbaSs1Lcx6sGcpwrXbK7euQP/pWrZJCz9tdcol2blH3iEIgnuS4DjclYUNh/
 ytJNRcG6lL8kbR+3ZJkoCSD5HB/W//Rna1MvwpjQLVvo1zUpABgMZrT8si8VS0LM7a2f
 dFERZblPA4RYnm8T/1hseoQXwSvOGCdpVOQtNwEgRdg19o31k18H69c+41Cy99J5YeHi
 1Bj27z53AsrxVTvpLqWgXgj19f4YLy4nezrkSH0yO/QhPiKgsioCQttkTyjv4J3UxrL0
 vUPwokoYEmcqgFOiJugP73xC5k3sgod0Y7bpNgfUVg6vr1fgPGH+Ks9HJMLuQuPT1i6X
 EDXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=r2LVYRNATN+Dv+uBxov/oTK6C0VHRn6FTdtWKpZeeuA=;
 b=LCPKHq9MpXtQoAcre3kAQy8ci0kTc/E2MKbmVxecZqdkv4hShXL6Dg21w/bC/47Ms2
 SQ1sMGZvdrn4G3Lod/clVjqi+1xyw2xYI2UE9IUHFGTARlxCFii2o3qWOOtZdUTBNMTe
 TyeIH5T6oCMefBWBrqqBAJE0G/mJi6Y84xV3ZZy9AbqhSmJcBZ7BnHtkCyoqkFyiM7N5
 H4JVJQCsb2I1Xwykyj3tcOs8mWIxXFXfC9FesMN9wQFnJXNq2f9SSUBzLprsptbar5RM
 CBtsD8t3H+e0dqKo8opAL11Jlrr2QXLSRIwUIu0ZjT0A/f/2ZGPnrmCqTNq9YKzJzlqa
 GpLg==
X-Gm-Message-State: APjAAAUn/ulVGUoJ9KABKHRSSukhXTkqsQK7BYHZuYVFxXJ72BeDlsow
 pQPQjqkJL0d37KCOnZvz70Dqc8js
X-Google-Smtp-Source: APXvYqzD380/v8MLiE/S7KkVLN940cgilFadZKgEwg6fS2oXf0wYaKucaSB+S7Ebl4y/bvQXSa5oJw==
X-Received: by 2002:a7b:c0d0:: with SMTP id s16mr3901512wmh.141.1562080697104; 
 Tue, 02 Jul 2019 08:18:17 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id h84sm3099231wmf.43.2019.07.02.08.18.16
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Tue, 02 Jul 2019 08:18:16 -0700 (PDT)
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: guix-patches@HIDDEN 
Subject: Add Guix System cross-compilation support
Date: Tue, 02 Jul 2019 17:18:13 +0200
Message-ID: <87zhlwmpmy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::32d
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hey Guix,

I'm currently working on adding --target support to guix system
command. The main obstacle is that cross-compilation is broken on many
packages because of small errors in package definitions (inputs vs
native-inputs).

I created a branch on savannah called "wip-cross-system" to centralize
this work. Feel free to have a look / review some of the patches there!

Thanks,

Mathieu




Acknowledgement sent to Mathieu Othacehe <m.othacehe@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36477; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 8 Jul 2019 10:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.